Разное

Sudo dpkg: wiki:d1_80_d1_83_d0_ba_d0_be_d0_b2_d0_be_d0_b4_d1_81_d1_82_d0_b2_d0_be_d0_bf_d0_be_ubuntu_server:d1_83_d0_bf_d1_80_d0_b0_d0_b2_d0_bb_d0_b5_d0_bd_d0_b8_d0_b5_d0_bf_d0_b0_d0_ba_d0_b5_d1_82_d0_b0_d0_bc_d0_b8:dpkg | Русскоязычная документация по Ubuntu

Содержание

Установка программ в Linux | RU Linux

Готовые к работе программы для Linux распространяются в виде пакейджей, содержащих кроме самой программы сведения о зависимостях программы от других программ, номер версии и т.д. Для Debian/Ubuntu/Kubuntu Linux пакейджи представляют собой файлы с расширением deb. Если есть просто скачанный где-то deb-файл пакейджа, то установить его можно выполнив команду sudo dpkg —install имя_файла.deb.

В отличие от Windows, пакеиджи для каждого серьезного дистрибутива Linux организованны в единую централизованную базу данных, содержащую названия, описания, сведения об авторах, логии изменений, зависимости от других программ и т.д. Такая база данных называется репозитарием пакейджей (package repository). Программы, не вошедшие в дистрибутив Linux, доступны в расширенном репозитарии, доступном по Интернет. Скачать и установить программы из него можно с помощью программы-менеджера репозитариев, обязательно присутствующей в современном Linux, например Synaptic, Adept или Kpackage. Для меня в Synaptic оказалась очень полезной функция поиска пакейджей по ключевому слову в описании, когда знаешь что тебе надо получить, но не знаешь какой программой это делать и что устанавливать. А по началу стоит просмотреть вообще все установленные пакейджи с помощью того же менеджера пакейджей для ознакомления с Linux.

В текстовом режиме функцию менеджера пакейджей в Debian/Ubuntu выполняет программа aptitude. Если ее нет, а вы новичок в Linux, но из за любознательности или по привычке выбрали expert-режим установки дистрибутива и черная текстовая консоль угрожает вам мигающим курсором, предлагая самим руками доустановть все необходимое, то спасет команда apt-get install aptitude. Так можно поставить любой пакейдж из репозитариев Debian/Ubuntu, если знаешь как он называется.

RPM-пакейдж под Debian/Ubuntu можно установить программой alien.

Блог: RU Linux

Быстрокнопки:

Как получить и скопировать список установленных пакетов на Ubuntu / Debian Linux сервере

Приобретая новый виртуальный сервер у RUVDS на Ubuntu / Debian вы можете получить список всех установленных пакетов на вашем виртуальном сервере. Также в данной статье мы рассмотрим, как скопировать и перенести установленные пакеты с одного виртуального сервера на другой.

Чтобы получить список всех установленных пакетов на Ubuntu или Debian, используйте DPKG и другие команды.

Введите следующую команду:

dpkg-query -l

Примеры результатов:

Чтобы увидеть только список пакетов, попробуйте:

dpkg-query -f '${binary:Package}\n' -W

Примеры результатов:

Чтобы получить список установленных пакетов, введите команду:

dpkg --get-selections | grep -v deinstall

Пример:

Другой вариант:

apt list --installed

или можно просто найти все пакеты на основе PHP:

apt list --installed | grep php

Пример:

Как сохранить список в текстовый файл

Команда выглядит следующим образом для server1:

dpkg --get-selections | grep -v deinstall > mylist.txt

Теперь скопируйте mylist.txt на server2 с вашим адресом, например 100.100.100.100:

scp mylist.txt 100.100.100.100:~/

Пример

The authenticity of host 100.100.100.100 (100.100.100.100)' can't be established.
ECDSA key fingerprint is SHA256:r+WgiifO
Are you sure you want to continue connecting (yes/no)? yes
Warning: Permanently added '100.100.100.100' (ECDSA) to the list of known hosts.

Как установить скопированные пакеты на server2

На втором сервере server2 для восстановления установок из mylist.txt, выполните следующую команду:

dpkg --clear-selections
sudo dpkg --set-selections < mylist.txt

или

sudo apt-get install -y $(< mylist.txt)

Наконец, выполните следующую команду, чтобы удалить ненужные пакеты:

sudo apt-get autoremove

Вышеприведенные команды должны восстановить пакеты из резервных копий или другого сервера.

Если данных на втором сервере нет, нужно их скопировать и после этого восстановить. Этот вариант заключается в использовании команды aptitude следующим образом:

### Создаем список программ в директории на первом сервере /tmp/packages.txt ###

dpkg --get-selections > /tmp/packages.txt

### Копируем файл на второй сервер с адресом 100.100.100.100 ###

scp /tmp/packages.txt 100.100.100.100:/tmp/

### Теперь вы можете установить пакеты на втором сервере используя команду apt-get/synaptic ###

1. Соединяемся с первым сервером

ssh [email protected]

2. Устанавливаем aptitude:

sudo aptitude

3. Восстанавливаем данные

aptitude install $(cat /tmp/packages.txt | awk '{print $1}')

dpkg — проблемы и решения.

У меня очень старенький винт, потихоньку сыплется. Поэтому часто бывают всякие «неожиданности». Но это не всё. Часто при обновлениях случается чт-то от вас не зависящее, и не всегда этому виной кривые руки. Бывает, что dpkg спотыкается обо что-либо, и дальше всё.. ничего обновить в системе, установить или удалить вы через aptitude (apt-get) вы не сможете… Как вариант, можно посмотреть список зависимостей, и удалять всё ручками, но я считаю что это не айс — удалять каждый файлик, править конфиги… Может это и true linux way, но увы, сейчас уже третье тысячелетие, и я отказался от такого извращения. Поэтому мы просто попытаемся починить dpkg.

Итак, приступим:

dpkg — это программное обеспечение, являющееся основой системы управления пакетами в Debian. dpkg используется для установки, удаления, и получения информации о .deb пакетах.
Подробнее смотрите в Wiki, я лишь опишу некоторые проблемы, встречающиеся при обработке пакетов.

1) Что поможет в 80% случаев:

Зачастую достаточно просто запросить из хранилища(репозитория) новый список пакетов:

sudo aptitude update

sudo aptitude install -f

И установить обновления:

sudo aptitude safe-upgrade

Бывает что проблема — это плохо сконфигурированный пакет. Поэтому мы просто её ещё раз переконфигурируем:

sudo dpkg --configure -a

2) Остальные «сложные» случаи:

Для остальных случаев придётся переконфигурировать всё:
sudo dpkg-reconfigure -a
Осторожно, может занять много времени 8)

Или именно этот пакет:
sudo dpkg-reconfigure --default-priority %pack_name%

Ну бывает что нужно переконфигурировать его, даже если он поломан или неисправен:

sudo dpkg-reconfigure --force %pack_name%

!ВНИМАНИЕ! Использовать осторожно!

Если и это не помогает, то смотрим что именно произошло, не боимся гуглить и так далее, например у меня было вот что:

3) Конкретные случаи:

1) Падение dpkg - /var/lib/dpkg/available: Input/output error.

E: Sub-process /usr/bin/dpkg returned an error code (2)
dpkg: при работе функции buffer_read(fd) произошла ошибка: копирование файла информации /var/lib/dpkg/available: Input/output error

Дааааа… Как всегда косяки, ну ничего, где-то мы такое видали. Минутный поиск по форуму сообщества и на глаза вылазит лекарство:

sudo dpkg --configure -a
либо
sudo apt-get install -f && sudo dpkg --configure -a

К сожалению никаких результатов в моем случае это не дало.
Ищем дальше. Гугл толком ничего не даёт, найдены пару вариантов с англоязычного форума линукс. К сожалению не помогает. Ну ладно значит будем думать головой…
Идём по адресу /var/lib/dpkg/ находим файл available, пытаемся открыть — filed. Осматриваемся в папке,и видим интересный файл под названием available_old.
Значит, при обновлении пакетов была сделана резервная копия этого файла со старым содержимым. Открываем, копируем содержимое , удаляем available и создаём на его месте новый файл с тем же названием. Вставляем содержимое из available_old.
Проверяем обновления

sudo apt-get update

есть. Запускаем

sudo apt-get upgrade

и о чудо, всё работает. Теперь можно и продолжать настройку системы. Также возможен другой вариант лечения dpkg.
sudo dpkg --clear-avail #удалить информацию о доступных пакетах.

далее

sudo apt-get update #обновление информации о пакетах.

но это при условии, что ваш файл не окажется битым, как в моём случае.

Да, чуть не забыл при внесении данного сообщения начал меня раздражать SCIM Method? он так и норовил подсунуть мне какой-нибудь арабско-еврейско-хрензнает какой шрифт. Пришлось избавится

apt-get remove scim

Взято с тыц’а


2) Удалил пакет руками — теперь aptitude ругается, что делать?

dpkg: не удалось обработать параметр %pack_name% (--configure):
подпроцесс post-installation script возвратил код ошибки 1
При обработке следующих пакетов произошли ошибки:
%pack_name%
E: Sub-process /usr/bin/dpkg returned an error code (1)

В таком случае можно удалить пакет через dpkg:

dpkg --purge %pack_name% #удалит всё что о нём было известно вместе с ним 8)

3) в списке файлов пакета %pack_name% отсутствует завершающий символ новой строки

aptitude install -f
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
Чтение информации о расширенных состояниях
Инициализация состояний пакетов... Готово
(Чтение базы данных ... dpkg: невосстановимая ошибка, прекращение работы:
в списке файлов пакета %pack_name% отсутствует завершающий символ новой строки
E: Sub-process /usr/bin/dpkg returned an error code (2)
Не удалось установить пакет.  Попытка восстановить:
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
Чтение информации о расширенных состояниях
Инициализация состояний пакетов. .. Готово

Я гуглил много, оказалось решение очень простое:
sudo kate /var/lib/dpkg/status

После чего Ctrl+F — вводим в поиск %pack_name% и удаляем всё что с ним связано, после чего делаем пункт 1) и вуаля, dpkg вернулся из мёртвых, Ressurect III lvl окрыляет!

ПОДРОБНАЯ ИНФОРМАЦИЯ о dpkg на русском можно глянуть тут: тыц

Если нада, можно сюда скопипастить, но не думаю что нужно…

Проапгрейдил, исправил бОльшинство орфографических ошибок, привёл всё к единому формату. Любые дополнения приветствуются. В данный момент ищутся любые другие ошибки в dpkg, которые решаются способами, которых тут ещё нет.

Ну и спасибо баламутику за баламутивание 8)

Как перенастроить установленный пакет в Ubuntu и Debian?

dpkg-reconfigure — это мощный инструмент командной строки, используемый для перенастройки уже установленного пакета. Это один из нескольких инструментов, предлагаемых в dpkg — базовой системе управления пакетами на Debian/Ubuntu Linux. Он работает совместно с debconf, системой конфигурации для пакетов Debian. Debconf регистрирует конфигурацию всех установленных пакетов в вашей системе.

Этот инструмент может быть фактически использован для перенастройки всех установок в системе Ubuntu или Debian. Просто укажите имя (имена) пакета (ов) для перенастройки, и после нескольких вопросов о конфигурации (точно таких же, как и когда пакет устанавливался первоначально в вашу систему), произойдёт желанная перенастройка.

dpkg-reconfigure может позволить вам исправить настройки установленного пакета, или же изменить текущие настройки этого пакета, записанные в decconf. Общей категорией пакетов, которую вы можете переконфигурировать, являются те, чьи конфигурации определяются вопросами в сценарии установки пакета, и как правило, отображаются через графический интерфейс во время процесса установки пакета, например как в phpmyadmin.

 

Просмотр конфигураций установленного пакета

Чтобы просмотреть текущие конфигурации установленного пакета «phpmyadmin», используйте утилиту debconf-show, как показано ниже:

$ sudo debconf-show tzdata

 

 

 

Переконфигурирование (изменение конфигурации) установленного пакета в Debian и Ubuntu

Если вы уже установили пакет, например tzdata, вы можете перенастроить его, передав имя пакета в dpkg-reconfigure, как показано в следующем примере:

$ sudo dpkg-reconfigure tzdata

 

После того, как вы запустите команду приведённую выше, вы сможете начать переконфигурирование phpmyadmin, как показано на следующих скриншотах. Вам будет задан ряд вопросов, выберите нужные параметры и завершите процесс.

 

 

Когда процесс реконфигурации tzdata будет выполнен, вы увидите информацию о новых настройках пакета, такую как на следующем скриншоте:

 

 

Есть несколько полезных флагов, которые позволяют вам изменить поведение по умолчанию, мы объясним некоторые из них на практических примерах:

Флаг -f используется для выбора использования интерфейса (например, dailog, readline, Gnome, Kde, Editor или noninteractive).

$ sudo dpkg-reconfigure -f readline tzdata

 

Вы можете навсегда изменить интерфейс по умолчанию через debconf, выполнив следующую команду:

$ sudo dpkg-reconfigure debconf

 

Используйте клавиши «Вверх» и «Вниз», чтобы выбрать параметр, и нажмите клавишу «TAB», чтобы выбрать «ОК» и нажмите «Ввод».

 

 

Также выберите, какие вопросы следует игнорировать в соответствии с уровнем приоритета, как показано на скриншоте, и нажмите Enter.

 

 

Чтобы указать минимальный приоритет вопросов, которые будут отображаться, непосредственно из командной строки, используйте параметр -p.

$ sudo dpkg-reconfigure -p critical tzdata

 

Некоторые пакеты могут находиться в «несогласованном» или «сломанном» состоянии, в таком случае вы можете использовать флаг -f, чтобы принудительно перенастроить dpkg-reconfigure пакета. Используйте этот флаг с осторожностью!

$ sudo dpkg-reconfigure -f package_name

 

Для получения дополнительной информации посмотрите справочную страницу dpkg-reconfigure:

$ man dpkg-reconfigure

 

Вот и все! Если у вас есть какие-либо вопросы относительно использования dpkg-reconfigure, свяжитесь с нами через раздел комментариев ниже.

 

 

Спасибо за уделенное время на прочтение статьи!

Если возникли вопросы, задавайте их в комментариях.

Подписывайтесь на обновления нашего блога и оставайтесь в курсе новостей мира инфокоммуникаций!

Чтобы знать больше и выделяться знаниями среди толпы IT-шников, записывайтесь на курсы Cisco, курсы по кибербезопасности,  полный курс по кибербезопасности от Академии Cisco, курсы Linux от Linux Professional Institute на платформе SEDICOMM University (Университет СЭДИКОММ).

Курсы Cisco и Linux с трудоустройством!

Спешите подать заявку! Осталось пару мест. Группы стартуют 22 июля, а следующая 19 августа, 23 сентября, 21 октября, 25 ноября, 16 декабря, 20 января, 24 февраля.

Что Вы получите?

  • Поможем стать экспертом в сетевом администрировании и получить международные сертификаты Cisco CCNA Routing & Switching или Linux LPI.
  • Предлагаем проверенную программу и учебник экспертов из Cisco Networking Academy и Linux Professional Institute, сертифицированных инструкторов и личного куратора.
  • Поможем с трудоустройством и сделать карьеру. 100% наших выпускников трудоустраиваются.

Как проходит обучение?

  • Проводим вечерние онлайн-лекции на нашей платформе или обучайтесь очно на базе Киевского офиса.
  • Спросим у вас об удобном времени для практик и подстроимся: понимаем, что времени учиться мало.
  • Если хотите индивидуальный график — обсудим и осуществим.
  • Выставим четкие дедлайны для самоорганизации. Личный куратор будет на связи, чтобы ответить на вопросы, проконсультировать и мотивировать придерживаться сроков сдачи экзаменов.

А еще поможем Вам:

  • отредактировать резюме;
  • подготовиться к техническим интервью;
  • подготовиться к конкурсу на понравившуюся вакансию;
  • устроим на работу в Cisco по программе Cisco Incubator, New Graduate и Experienced. Наши студенты, которые уже работают там: жмите на #НашиВCisco Вконтакте, #НашиВCisco Facebook.

Чтобы учиться на курсах Cisco CCNA Routing & Switching и Linux LPI, подайте заявку или получите бесплатную консультацию.

`dpkg —configure -a` зависает — CodeRoad

Я использую Ubuntu 16.04.

Когда я обновился, я получил следующее сообщение

$ sudo apt-get update
....
E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem. 

Следуя сообщению об ошибке, я пытаюсь

$ sudo dpkg --configure -a
setting up snapd (2.14.2~16.04) ...

а потом он висит вечно.
Кто-нибудь знает, как я могу решить эту проблему?
Спасибо.

configure

dpkg

Поделиться

Источник


ywat    

10 сентября 2016 в 18:39

2 ответа


  • / etc/dpkg/buildflags. conf пример?

    dpkg-buildflags упоминает файл /etc/dpkg/buildflags.conf, который можно использовать для настройки dpkg-buildpackage . Однако я не могу найти ни одного примера того, как должен выглядеть этот файл. Как я мог бы, например, сделать так, чтобы он прошел от —disable-static до —configure ?

  • Mysql сбой установки с dpkg: пакет обработки ошибок mysql-server-5.6 (—configure)

    Этот пост не так длинен, как кажется, большая его часть-цитаты, Не паникуйте! У меня есть совершенно новая установка Elementary OS (Freya) и успешно установлены Apache2 и PHP 5.6. Однако установка mysql, похоже, не удалась. Я немного идиот Linux, так что извиняюсь, если делаю что-то глупое….



0

Это подтвержденная ошибка.

https://bugs.launchpad.net/ubuntu/+source/snapd/+bug/1621336

В списке приведен обходной путь:

https://bugs.launchpad.net/ubuntu/+ источник/snapd/+bug/1621336/comments/4

Добавление обходного пути от Axel Kämpfe, так как ссылки, кажется, сломаны:

  1. Начните корневую оболочку с «sudo -i»
  2. Запустить echo "bash -c 'service snapd.boot-ok start'" | at now + 4 min
  3. Затем запустите apt install snapd (если он спорит об отмененных процессах dpkg, используйте dpkg --configure -a . Затем подождите не менее 4 минут. Тогда повешение должно было исчезнуть.

Удачи вам! 🙂

/Patrik

Поделиться


PatrikJ    

11 сентября 2016 в 09:54



0

У меня была подобная проблема дважды, и я заметил, что это происходит каждый раз, когда моя система хочет перейти на новый Kernel. Приведенные ниже шаги, кажется, работают для меня все время;

  1. Boot в режим восстановления ваших новейших версий kernel.
  2. Войдите в систему как root из выпадающего меню.
  3. Отредактируйте файл /etc/resolv.conf с помощью текстового редактора, я обычно использую vi, т. е.

    vi /etc/resolv.conf 
    

    и поместите содержимое ниже и сохраните файл;

    nameserver 208.67.222.220
    nameserver 208.67.222.222
    
  4. После выполнения описанного выше шага Ctrl+D (выход) вернитесь в меню режима восстановления и нажмите кнопку сеть, чтобы включить подключение к сети/интернету.

  5. Затем нажмите на элемент dpkg, чтобы исправить сломанные пакеты.

Вот и все, после перезагрузки ваша система должна иметь правильную установку kernel и сломанные пакеты fixed/removed.

Поделиться


Dingane Hlaluku    

22 февраля 2018 в 15:19


Похожие вопросы:

Подпроцесс /usr/bin/dpkg вернул код ошибки (1) — ubuntu

Я пытаюсь установить apache: sudo apt-get install apache2 И я получаю эту ошибку: Setting up google-cloud-sdk (132.0.0-0) … dpkg: error processing package google-cloud-sdk (—configure):…

Ruby: как запустить «dpkg-reconfigure» внутри кода?

В моем коде Ruby я пытаюсь вызвать dpkg-reconfigure,но он не показывает. #!/usr/bin/env ruby `dpkg-reconfigure ca-certificates` Программа просто зависает без интерфейса GUI. Спасибо за подсказку.

Получение проблем с зависимостями при настройке dpkg

$ sudo apt-get -f install Reading package lists… Done Building dependency tree Reading state information… Done 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. 8 not fully…

/ etc/dpkg/buildflags.conf пример?

dpkg-buildflags упоминает файл /etc/dpkg/buildflags.conf, который можно использовать для настройки dpkg-buildpackage . Однако я не могу найти ни одного примера того, как должен выглядеть этот файл.

Mysql сбой установки с dpkg: пакет обработки ошибок mysql-server-5.6 (—configure)

Этот пост не так длинен, как кажется, большая его часть-цитаты, Не паникуйте! У меня есть совершенно новая установка Elementary OS (Freya) и успешно установлены Apache2 и PHP 5.6. Однако установка…

E: dpkg был прерван, вы должны вручную запустить ‘sudo dpkg —configure-a’, чтобы исправить

Я пытаюсь установить rails на ubuntu 17.04, но он выдает ошибку. Затем я попытался запустить другие установки, но ошибка была такой же. E: dpkg был прерван, вы должны вручную запустить ‘sudo dpkg…

dpkg: пакет обработки ошибок oracle-java8-installer (—configure):

Я пытаюсь установить sbt на Ubuntu 16.04. Я по ошибке остановил процесс при выполнении следующей команды, sudo apt-get install sbt Теперь, когда я пытаюсь установить снова, я получаю следующую…

когда я устанавливаю программное обеспечение в свой Ubuntu16.04, я получаю следующие сообщения

$ sudo apt install snort E: dpkg was interrupted, you must manually run ‘sudo dpkg —configure -a’ to correct the problem. Тогда я попробую sudo dpkg —configure -a [sudo] password for hill: Setting…

Запустите dpkg —configure -a в автоматическом режиме

По причинам, выходящим за рамки этого вопроса, мне нужно выполнить sudo dpkg-reconfigure libc6 sudo dpkg —configure libssl1.1 во время подготовки VM с Vagrant. Пока это работает, часть —configure…

dpkg: пакет обработки ошибок python — <package name>

Я пытаюсь обновить свой raspbian с помощью команды sudo apt-get upgrade , но она всегда выдает мне эту ошибку Я попробовал эту команду sudo dpkg —configure -a , и она показывает мне ту же ошибку Я…

Команда dpkg сотоварищи. Linux и все, все, все… Статьи и колонки в LinuxFormat, 2006-2013

Читайте также








Установщик пакетов dpkg



Установщик пакетов dpkg
Утилиты семейства dpkg, предназначенные для работы с единичными deb-пакетами, были исторически первым средством автоматического развертывания пакетов, учитывающим их зависимости. Они лежат в фундаменте всех надстраивающих их систем (apt, synaptic, mintinstall. В






4.6.4. Команда cp



4.6.4. Команда cp
Хотя для копирования файлов иногда пользуются командой cat, но в Linux существует для этого специальная команда cp. Ее можно применять в одной из двух форм:[user]$ cp [options] source destination[user]$ cp [options] source_directory new_directoryВ первом случае файл или каталог source копируется,






4.6.5. Команда mv



4.6.5. Команда mv
Если вам необходимо не скопировать, а переместить файл из одного каталога в другой, вы можете воспользоваться командой mv. Синтаксис этой команды аналогичен синтаксису команды cp. Более того, она сначала копирует файл (или каталог), а только потом удаляет






5.4.3 Команда cat



5.4.3 Команда cat
Мы уже рассматривали кратко команду cat в предыдущем разделе. В данном разделе эта команда интересует нас в основном потому, что чаще всего она работает как раз с входным и выходным потоками. По умолчанию выход команды cat направляется в выходной поток. Чтобы






5.10. Команда sh



5.10. Команда sh
Вы всегда можете запустить новый экземпляр оболочки bash, дав команду bash или sh. При этом можно заставить новый экземпляр оболочки выполнить какой-то скрипт, если передать имя скрипта в виде аргумента команды bash. Так, для выполнения скрипта myscript надо дать






8.4.1. Команда ps



8. 4.1. Команда ps
Когда я заглянул в man-страницу, посвященную команде ps, я был поражен, как много у нее разных опций. Как оказалось, GNU-версия этой программы, входящая в состав Linux, поддерживает опции в стиле трех разных типов UNIX. Опции в стиле Unix98 состоят из одного или нескольких






8.4.2. Команда top



8.4.2. Команда top
Команда ps позволяет сделать как бы «моментальный снимок» процессов, запущенных в системе. В отличие от ps команда top отображает состояние процессов и их активность «в реальном режиме времени». На рисунке 8.5 изображено окно терминала, в котором запущена






20.1 Утилита dpkg



20.1 Утилита dpkg
На самом деле всё очень просто. Существуют два основных инструмента работы с пакетами: aptitude и dpkg[83]. dpkg — это низкоуровневая программа управления пакетами, единственная полезная её функция для обычного пользователя — это прямая установка пакета из deb-файла.






Команда



Команда
Команда используется для выполнения SQL-запросов к базе данных Важно не путать команду, которая является СОМ-объектом, с текстом команды, который представляет собой строку. Обычно команды используют для описания данных, например для создания таблицы и






5.2.7.2. Команда SET



5.2.7.2. Команда SET
SET var_name = expr [, var_name = expr] …Инструкция SET в сохраненных подпрограммах представляет собой расширенную версию общей инструкции SET. Вызванные переменные могут быть объявлены внутри подпрограммы или глобальными переменными системы. Инструкция SET в сохраненных






9.2. Программа dpkg: управление DEB-пакетами



9.2. Программа dpkg: управление DEB-пакетами
Программа dpkg используется для установки, удаления и управления пакетами Debian/Ubuntu. Программа dpkg вызывается из командной строки. Формат вызова ее следующий:
dpkg [ключи] действие

Примечание
Для запуска dpkg нужно обладать полномочиями root,






3.2. Команда at



3.2. Команда at
Команда at позволяет передавать задания демону cron для одноразового выполнения в назначенное время. Выдавая задание, команда at сохраняет в отдельном файле как его текст, так и все текущие переменные среды. Заметим, что команда crontab не делает этого. По умолчанию






5.3. Команда cat



5.3. Команда cat
Команда cat довольно проста, но универсальна. Эту команду удобно применять как для отображения файла, так и для его создания, а также при отображении файлов, содержащих управляющие символы. Используя команду cat, следует учитывать, что процесс вывода не






24.1.1. Команда pwd



24.1.1. Команда pwd
Эта команда отображает текущий каталог:$














Самые популярные ответы с меткой [apt-get]

Популярные ответы с меткой apt-get


Скачиваем:

aptitude download libjansson4
Распаковываем:

dpkg —extract libjansson4_2. 7-3_amd64.deb
Смотрим ls:

libjansson4_2.7-3_amd64.deb usr
В каталоге usr будет всё что нужно.


ответ дан 17 авг ’17 в 17:03

don Rumata


3,81133 золотых знака1313 серебряных знаков3737 бронзовых знаков


Без него apt-get задает уточняющий вопрос — «вы действительно хотите это установить?»

Так что ключ нужен для «ускорения» установки на одно нажатие Enter.


ответ дан 16 июн ’16 в 5:53

gbg


18.2k22 золотых знака2525 серебряных знаков4949 бронзовых знаков


судя по информации о пакете git в разных релизах дистрибутива debian gnu/linux, у вас стоит релиз jessie (доступная версия пакета: 1:2.1.4-2.1+deb8u4. символы 1: означают «эпоху», это «внутренняя кухня» пакетирования, upstream-версия программы здесь — 2.1.4). уточнить версию релиза можно командой:

$ lsb_release -rc
Release: 8.9
Codename: jessie …


ответ дан 12 авг ’17 в 8:44

aleksandr barakin


64.2k126126 золотых знаков6161 серебряный знак197197 бронзовых знаков


Для этого есть специальный персональный архив пакетов (PPA)

add-apt-repository ppa:git-core/ppa
apt-get update

# установить, если ещё нет
apt-get install git

# если уже установлен, то обновить
apt-get install —only-upgrade git


ответ дан 3 окт ’15 в 12:19

Nick Volynkin♦


30. 9k1919 золотых знаков112112 серебряных знаков203203 бронзовых знака


$ apt-cache policy libreoffice-common
libreoffice-common:
Установлен: (отсутствует)
Кандидат: 1:4.3.3-2+deb8u2

Таблица версий:
1:5.1.3~rc2-3 0
100 /var/lib/dpkg/status
1:4.3.3-2+deb8u2 500
500 http://ftp.ru.debian.org/debian jessie/main amd64 Packages
500 http://ftp.ru.debian.org/debian jessie/main i386 Packages
вы …


ответ дан 25 мая ’16 в 18:43

aleksandr barakin


64.2k126126 золотых знаков6161 серебряный знак197197 бронзовых знаков


Параметр для установки только необходимых пакетов

—no-install-recommends
Для того чтобы не прописывать параметр каждый раз, можно отключить установку рекомендуемых пакетов, для этого необходимо сделать файл

# nano /etc/apt/apt.conf.d/10norecommends
с содержимым

APT::Install-Recommends «0»;
APT::Install-Suggests «0»;


ответ дан 20 мая ’16 в 13:07

Marsel Arduanov


1,50499 серебряных знаков1212 бронзовых знаков


Для установки библиотеки в любую директорию. Скачайте исходный код библиотеки libjansson При конфигурировании укажите нужную директорию

./configure —prefix=/home/user/local
соберите и установите.

make install
Также настройте переменные окружения LD_LIBRARY_PATH PKG_CONFIG_PATH чтобы программы могли найти вашу библиотеку

export LD_LIBRARY_PATH=/…


ответ дан 17 авг ’17 в 16:17

Yaroslav


2,96211 золотой знак88 серебряных знаков2020 бронзовых знаков


Смотрим откуда запускается команда:
whereis virtualbox
Узнаем имя пакета
dpkg -S fullpath где fullpath полный путь к исполняемому файлу (взять из результата предыдущей команды)
Удаляем используя имя пакета
dpkg —remove packagename где packagename имя пакета (взять из результата предыдущей команды)


ответ дан 20 июл ’20 в 21:42

Alexey R.


2,05111 золотой знак55 серебряных знаков99 бронзовых знаков


для того, чтобы программа sudo не запрашивала пароль для пользователя user1 при выполнении им команды sudo apt-get …, добавьте в файл с произвольным именем в каталоге /etc/sudoers.d такую примерно строку:

user1 ALL=NOPASSWD: /usr/bin/apt-get
редактировать файлы /etc/sudoers и /etc/sudoers.d/* лучше через «обёртку» visudo, которая, прежде чем реально …


ответ дан 5 авг ’16 в 15:17

aleksandr barakin


64.2k126126 золотых знаков6161 серебряный знак197197 бронзовых знаков


начинать можно с просмотра файлов, входящих в пакет:

$ dpkg -L имя.пакета
например, рассмотрим пакет bluez.

исполняемые файлы обычно располагаются в каталогах, содержащих в пути строку bin:

$ dpkg -L bluez | grep bin
/bin
/bin/hciconfig
/usr/sbin
/usr/bin
/usr/bin/bluetoothctl
/usr/bin/bccmd
/usr/bin/btmon
/usr/bin/rctest
/usr/bin/hciattach
/usr/bin/…


ответ дан 5 июл ’17 в 12:02

aleksandr barakin


64.2k126126 золотых знаков6161 серебряный знак197197 бронзовых знаков


Можно установить Git последней версии из репозитория нестабильного дистрибутива.

echo ‘deb http://mirror.yandex.ru/debian unstable main’ | sudo tee /etc/apt/sources.list.d/unstable.list
sudo apt-get update
sudo apt-get install git/unstable
А чтобы нечайно вся система не обновилась до нестабильного состояния, создайте файл /etc/apt/preferences. d/unstable со …


ответ дан 12 авг ’17 в 8:06

mymedia


7,95722 золотых знака2323 серебряных знака4848 бронзовых знаков


sudo apt-get update -y
sudo apt-get install -y elinks
Links
Links2
Elinks
Lynx
w3m
Netrik


ответ дан 25 ноя ’19 в 20:17

aa.arsenenko


1,19411 золотой знак33 серебряных знака1919 бронзовых знаков


дополнительные пути определения имени (помимо предложенного в соседнем ответе):

уже по имени файла (если оно формировалось по принятым правилам и не изменялось впоследствии) можно определить имя пакета: это все символы до первого символа _. например, если имя файла — virtualbox-6.1_6.1.12-139181~Debian~buster_amd64.deb, то имя пакета, содержащегося внутри — …


ответ дан 20 июл ’20 в 22:11

aleksandr barakin


64.2k126126 золотых знаков6161 серебряный знак197197 бронзовых знаков


Разве так тяжело обратиться к гуглу? Но даже не это беспокоит больше. Можно даже не к гуглу, а к man.

Почитайте, пожалуйста:

man man
man apt-get
http://segfault.kiev.ua/smart-questions-ru.html
в
man apt-get
прямым текстом пишут:

-y, —yes, —assume-yes
Automatic yes to prompts; assume «yes» as answer to all prompts and
run non-…


ответ дан 16 июн ’16 в 6:09

Crystal


44844 серебряных знака2020 бронзовых знаков


с помощью «тёплого лампового» aptitude:

$ aptitude search -F ‘%p’ ‘!~M ~i’

с помощью apt-mark:

$ apt-mark showmanual
дату/время запуска (а также параметры и ещё много другой информции) программы apt-get можно найти в файлах /var/log/apt/*, программы aptitude — в файлах /var/log/aptitude*, программы dpkg (её ведь можно запустить и вручную для установки . ..


ответ дан 28 июн ’16 в 8:58

aleksandr barakin


64.2k126126 золотых знаков6161 серебряный знак197197 бронзовых знаков


можно дать команду на установку нескольких пакетов сразу:

$ sudo apt-get install пакет1 пакет2 …
$ sudo dpkg -i файл1 файл2 …
установка пакета — это не атомарное действие, а состоит из нескольких взаимосвязанных, поэтому при вызове всех упомянутых программ они устанавливают блокировку, препятствующую одновременному запуску нескольких экземпляров …


ответ дан 2 окт ’15 в 9:19

aleksandr barakin


64.2k126126 золотых знаков6161 серебряный знак197197 бронзовых знаков


как указано в описании, например, пакета linux-generic-lts-trusty, вам надо добавить примерно такую строку:

deb http://mirror.yandex.ru/ubuntu precise-security main
в файл /etc/apt/sources.list.

после чего обновите списки пакетов:

$ sudo apt-get update
и повторите попытку установки.
для пакета xserver-xorg-lts-trusty надо добавить примерно такую строку:…


ответ дан 7 мая ’16 в 10:14

aleksandr barakin


64.2k126126 золотых знаков6161 серебряный знак197197 бронзовых знаков


на какой-нибудь общедоступной машине «расшариваете» содержимое диска по любому подходящиему протоколу: http, nfs, samba, ftp и т. д.
на каждой из n машин добавляете соответствующую строчку в /etc/apt/sources.list (а лучше — в отдельный файл в /etc/apt/sources.list.d/).
на каждой из n машин обновляете список пакетов (sudo apt-get update).
на кажлой из n машин …


ответ дан 29 мар ’16 в 13:22

aleksandr barakin


64.2k126126 золотых знаков6161 серебряный знак197197 бронзовых знаков


/usr/local/bin/ansible — этот файл явно появился здесь в обход пакетного менеджера.

проверить это можно, сделав запрос к базе данных dpkg:

$ dpkg -S /usr/local/bin/ansible
и получив в ответ, что no path found matching pattern.
Но я хочу разобраться в причине дублирования и полностью его устранить.
вероятно, вы запустили какой-нибудь «инсталлятор» (…


ответ дан 11 фев ’16 в 9:30

aleksandr barakin


64.2k126126 золотых знаков6161 серебряный знак197197 бронзовых знаков


Команда apt-get update позволяет обновить доступные приложения из всех репозиториев которые вы добавили.

Отвечая на ваш вопрос: команда apt-get install nginx найдет репозиторий в котором будет нужный вам пакет и скачает его для последующей установки.

Собственно посмотреть доступные вам репозитории вы можете в
/etc/apt/sources.list.d/


ответ дан 23 ноя ’16 в 8:55


при обращении по указанному адресу сервер возвращает 301-й код — перенаправление на правильный адрес (у которого перед именем репозитория указан слэш):

$ curl -s -D — -o /dev/null ‘https://download. opensuse.org/repositories/home:kamilprusko/xUbuntu_16.04/Release’
HTTP/1.1 301 Moved Permanently
Date: Wed, 18 Oct 2017 15:42:36 GMT
Server: Apache/2.2.34 (Linux/…


ответ дан 18 окт ’17 в 15:50

aleksandr barakin


64.2k126126 золотых знаков6161 серебряный знак197197 бронзовых знаков


apt-cache policy foo bar …
Проверяет статус пакетов foo bar ….
apt-cache show foo bar … | less
Проверяет информацию по пакетам foo bar ….

Вот тут, можно ознакомиться детальнее: http://qref.sourceforge.net/Debian/quick-reference/ch-package.ru.html


ответ дан 12 окт ’18 в 10:11

metallic


15622 бронзовых знака


Вы спрашиваете две разные вещи считая что они связаны между собой, но это не так.

Где указывать репозиторий: в /etc/apt/sources.list.d/ или /etc/apt/sources.list — не имеет значения, добавляйте там где лично вам удобнее. Они все читаются одним списком.

Флаг -t не имеет отношения к тому, где указаны репозитории, этот флаг переопределяет настройки /etc/apt/…


ответ дан 28 ноя ’18 в 15:00

Мелкий


19.3k22 золотых знака2020 серебряных знаков4646 бронзовых знаков


sudo apt purge code
rm -r ~/.config/Code


ответ дан 26 дек ’18 в 14:27

Beast Winterwolf


2,5661313 серебряных знаков2828 бронзовых знаков


для начала я бы порекомендовал удалить установленный явно не из репозитория дистрибутива пакет nodejs (для надёжности и nodejs-legacy):

$ sudo apt-get remove nodejs nodejs-legacy

судя по версии (0. 10.37-1chl1~trusty1) и по выдаче google на поиск этой строки, пакет был установлен из какого-то ubuntuupdate.org. если вы его (репозиторий) прописали в /etc/apt/…


ответ дан 1 июл ’15 в 23:32

aleksandr barakin


64.2k126126 золотых знаков6161 серебряный знак197197 бронзовых знаков


если по каким-то причинам не подходит пакет python-ldap, присутствующий в репозитории для ubuntu 14.04, то можно скачать файл с пакетом с любого из зеркал, например, с яндекса, и установить с помощью программы dpkg:

$ sudo dpkg -i /путь/к/файлу.deb
судя по списку зависимостей пакета, проблем быть не должно, если уже установлены дистрибутивные пакеты python …


ответ дан 28 июл ’15 в 10:44

aleksandr barakin


64.2k126126 золотых знаков6161 серебряный знак197197 бронзовых знаков


программы вида apt* (apt, apt-get, aptitude) — это, в первую очередь, средства работы с репозиториями: для скачивания индексов, расчёта зависимостей, скачивания файлов с пакетами.

непосредственно же для установки/удаления пакетов они вызывают программу dpkg.
если ваши пакеты (package и package-dependency) представлены ровно одной версией, являются …


ответ дан 24 ноя ’15 в 17:04

aleksandr barakin


64.2k126126 золотых знаков6161 серебряный знак197197 бронзовых знаков


Насколько я могу судить, разница между apt-get install и dpkg заключается, в частности в том, что команда apt-get install сама проверяет необходимые зависимости и устанавливает необходимые пакеты. Если Вы знаете, какие пакеты нужны для установки конечного, то разницы нет. По большому счету, утилита apt-get install является оберткой dpkg, и внутри себя …


ответ дан 24 ноя ’15 в 14:08

andy.37


7,21699 серебряных знаков2727 бронзовых знаков


обновление: для версии дистрибутива 16.04 (xenial) сборки именно этого пакета от проекта bumblebee — нет. вероятно, он либо устарел, либо заменён иным пакетом.

для более старых версий дистрибутива нижеприведённое вполне актуально (пока).
https://wiki.ubuntu.com/Bumblebee

$ sudo add-apt-repository ppa:bumblebee/stable
$ sudo apt-get update
опцию —install-…


ответ дан 7 мая ’16 в 12:48

aleksandr barakin


64.2k126126 золотых знаков6161 серебряный знак197197 бронзовых знаков

Допускаются только превышающие минимальную длину ответы с наивысшим рейтингом, не являющиеся общими

Как использовать установку Dpkg — Подсказка для Linux

В Debian и его производных, таких как Ubuntu и Linux Mint, менеджер пакетов dpkg используется для управления пакетами. Dpkg, установленный по умолчанию в Debian и его производных, можно использовать для установки, сборки и удаления пакетов .deb. В этой статье вы узнаете, как использовать dpkg install в системе Ubuntu.

Мы рассмотрим следующее:

  • Просмотреть список установленных пакетов
  • Установите пакет .deb с помощью dpkg
  • Проверьте установку пакета с помощью dpkg
  • Удалить установленный пакет с помощью dpkg

Мы выполнили процедуру, описанную в этой статье, на Ubuntu 20. 04 система. Кроме того, мы использовали приложение командной строки Terminal для запуска команд в Ubuntu. Чтобы открыть Терминал, вы можете использовать сочетание клавиш Ctrl + Alt + T.

Обратите внимание, что для установки пакета .deb в вашей системе Ubuntu вы должны быть пользователем root или обычным пользователем с привилегиями sudo.

Просмотреть список установленных пакетов

Перед установкой нового пакета вы можете просмотреть список установленных пакетов в вашей системе. Для этого используйте команду dpkg с параметром –list или –l следующим образом:

Он покажет вам длинный список пакетов, установленных в вашей системе.

Установите пакет .deb с помощью Dpkg

Установить пакет .deb с помощью команды dpkg довольно просто. Просто введите dpkg, затем опцию –install или –i и имя файла .deb.

$ sudo dpkg —install [файл .deb]

Убедитесь, что вы запускаете указанную выше команду из того же каталога, где находится пакет .deb. В качестве альтернативы, если вы запускаете указанную выше команду из другого каталога, укажите полный путь к файлу .deb следующим образом:

$ sudo dpkg —install [путь / к /.deb файл]

Пример:

$ sudo dpkg — установить skypeforlinux-64.deb

Команда dpkg устанавливает только указанный пакет без каких-либо зависимостей. В случае, если вы устанавливаете пакет, требующий некоторых зависимостей, вы получите сообщение об ошибке:

dpkg: пакет обработки ошибок

Кроме того, dpkg не установит пакет и оставит его в неконфигурируемом и сломанном состоянии.

Чтобы устранить эту ошибку, выполните следующую команду в Терминале:

Эта команда исправит поврежденный пакет и установит необходимые зависимости, если они доступны в системном репозитории.

Проверьте установку пакета с помощью Dpkg

Хотя вы можете проверить установку пакета, выполнив поиск в тире-меню Ubuntu. Если он там доступен, это означает, что пакет установлен.

Однако dpkg также позволяет проверить установку пакета. Просто введите dpkg с опцией –status или –s, чтобы проверить установку пакета:

$ dpkg —status [имя-пакета]

Удалить установленный пакет с помощью Dpkg

Если вам больше не нужен установленный пакет, вы можете удалить его с помощью команды dpkg.Для удаления установленного пакета вам нужно будет указать имя установленного пакета вместо того, чтобы указывать имя пакета .deb, которое использовалось для установки пакета.

Чтобы узнать точное имя пакета, вы можете использовать следующую команду с любым ключевым словом, связанным с именем пакета:

$ dpkg –l | ключевое слово grep

В случае пакета Skype вы можете просто набрать skype :

После того, как вы нашли точное имя установленного пакета, вы можете удалить его, используя следующий синтаксис с параметром –remove или –r:

$ sudo dpkg —remove [файл пакета]

Пример:

$ sudo dpkg — удалить skypeforlinux

Вы можете видеть, что вместо ввода «skypeforlinux-64.deb », мы просто ввели имя установленного пакета Skype.

Из этой статьи вы узнали, как установить пакет .deb с помощью команды dpkg в системе Ubuntu 20.04. Вы также узнали, как просмотреть список установленных пакетов, проверить пакет после установки и удалить пакет, когда он вам больше не нужен. Надеюсь, статья вам понравилась!

Для чего нужен dpkg? — Спросите Ubuntu

Как уже было сказано, dpkg — это системный инструмент низкого уровня для извлечения, анализа, распаковки и установки или удаления.deb файлы. Однако лучше использовать Software Center или Gdebi для установки или удаления файлов .deb, полученных из других источников, поскольку эти две программы имеют разрешение зависимостей.

Однако то, что не было объяснено, — это анатомия обновления с использованием dpkg и apt-get . Если, например, мы вызываем apt-get для установки cheese , дерево зависимостей анализируется и необходимые файлы извлекаются с помощью apt-get , который затем передает их в dpkg для извлечения, анализа и установки в правильные местоположения и настройте их в соответствии со скриптами внутри них.

Сценарии, читаемые программой dpkg внутри каждого файла .deb, важны, поскольку они предоставляют программе информацию об установке, удалении и настройке пакетов. Следовательно, если вы посмотрите в /var/log/dpkg.log , вы увидите много подробных сведений о «триггерах» и пакетах, проходящих различные этапы распаковки и настройки. В своем блоге Рафаэль Герцог (который является ключевым разработчиком Debian и сопровождающим пакета dpkg ) объясняет больше о триггерах dpkg и о том, как dpkg проверяет и настраивает пакеты.

Теперь мы подошли к сути того, что делает dpkg ; он мастерски обрабатывает пакеты Debian, а не их зависимости. Например, с помощью dpkg-deb вы можете выполнять различные действия по анализу и извлечению файлов из архивов .deb вручную; см. man dpkg-deb для получения дополнительной информации.

Статус каждого пакета указан в / var / lib / dpkg / status , который можно использовать с grep для проверки конкретного пакета. Dpkg также может быть вызван для перенастройки определенных пакетов, которые были сконфигурированы (см. man dpkg-reconfigure ):

  sudo dpkg-reconfigure <пакет>
  

Или выполнить настройку всех ненастроенных пакетов, если возникла проблема с обновлением, а конфигурация некоторых пакетов все еще не завершена:

  судо dpkg --configure -a
  

Великолепный учебник, посвященный dpkg и apt-get , см. В главах 5 и 6 Руководства Debian, которое является лучшим из доступных обсуждений. Введите man dpkg в свой терминал или просмотрите страницы руководства Ubuntu в Интернете, чтобы увидеть все многочисленные доступные параметры, например, использование dpkg -l для вывода списка установленных пакетов.

apt — Ошибка: «dpkg был прерван, вы должны вручную запустить ‘sudo dpkg —configure -a’, чтобы исправить проблему»

apt — Ошибка: «dpkg был прерван, вы должны вручную запустить ‘sudo dpkg —configure -a «чтобы исправить проблему» — Спросите Ubuntu

Сеть обмена стеков

Сеть Stack Exchange состоит из 176 сообществ вопросов и ответов, включая Stack Overflow, крупнейшее и пользующееся наибольшим доверием онлайн-сообщество, где разработчики могут учиться, делиться своими знаниями и строить свою карьеру.

Посетить Stack Exchange

  1. 0

  2. +0

  3. Авторизоваться
    Зарегистрироваться

Ask Ubuntu — это сайт вопросов и ответов для пользователей и разработчиков Ubuntu.Регистрация займет всего минуту.

Зарегистрируйтесь, чтобы присоединиться к этому сообществу

Кто угодно может задать вопрос

Кто угодно может ответить

Лучшие ответы голосуются и поднимаются наверх

Спросил

Просмотрено
83k раз

На этот вопрос уже есть ответы :

Закрыт 5 лет назад.

Я думаю, что использовал что-то, связанное с dpkg , но я не могу вспомнить, что именно.
После этого, когда мне нужно будет сделать

  sudo-apt
  

get или даже sudo-apt get update Я столкнулся со следующей проблемой:

  dpkg был прерван, необходимо запустить вручную
    sudo dpkg --configure -a
 чтобы исправить проблему.
  

Есть подсказка, что не так и как я могу это исправить?

Создан 15 янв.

gm1gm1

30111 золотой знак22 серебряных знака33 бронзовых знака

3

Вызывается, когда пакеты повреждены или установка пакета прерывается.

Для решения этой проблемы следует запустить sudo dpkg --configure -a или его альтернативу apt-get -f install .

Создан 15 янв.

Олимжон

4,8941919 серебряных знаков4343 бронзовых знака

3

Не тот ответ, который вы ищете? Просмотрите другие вопросы с метками apt dpkg sudo или задайте свой вопрос.

Спросите Ubuntu лучше всего работает с включенным JavaScript

Ваша конфиденциальность

Нажимая «Принять все файлы cookie», вы соглашаетесь с тем, что Stack Exchange может хранить файлы cookie на вашем устройстве и раскрывать информацию в соответствии с нашей Политикой в ​​отношении файлов cookie.

Принимать все файлы cookie

Настроить параметры

Установка

в Linux — Функциональные методы МРТ

\ (\ newcommand {L} [1] {\ | # 1 \ |} \ newcommand {VL} [1] {\ L {\ vec {# 1}}} \ newcommand {R} [1] {\ operatorname {Re} \, (# 1)} \ newcommand {I} [1] {\ operatorname {Im} \, (# 1)} \)

Установка Python 3, git и atom

В Ubuntu или Debian

Проверено на: Ubuntus 14.04, с 15.04 по 16.10; Дебиан Джесси и Сид.

Установите git и Python 3:

 sudo apt-get update
sudo apt-get install -y git python3-dev python3-tk
sudo apt-get install -y git
 

Проверьте свою версию Python 3 с помощью:

Это должно дать вам версию> = 3.4. Если нет, обратитесь за помощью к инструкторам.

Направьте свой веб-браузер на страницу выпусков Atom и загрузите последнюю версию
.deb файл для вашего дистрибутива. Вот я скачиваю недавний выпуск
из командной строки:

 # Устанавливаем команду wget для скачивания из командной строки
sudo apt-get install -y wget
# Загрузите последнюю версию Atom для Debian / Ubuntu
wget https: // github.com / atom / atom / релизы / скачать / v1.9.9 / atom-amd64.deb
 

Установите пакет Atom .deb с:

 # Эта команда может выдавать ошибку с неудовлетворенными зависимостями
sudo dpkg --install atom-amd64.deb
# Исправьте любые неудовлетворенные зависимости с помощью этой команды
sudo apt-get -f install -y
 

Установите плагин Atom Hydrogen с помощью:

 # Установить зависимости для сборки плагина водорода
sudo apt-get install -y build-essential libzmq3-dev
# Установить водородный плагин
PYTHON = python2.7 apm установить водород
 

в Fedora

Протестировано в Fedora с 21 по 24.

Установите git и Python 3:

 sudo dnf install -y git python3-devel python3-tkinter
 

Если вы получили bash: dnf: command not found , запустите sudo yum install dnf и
попробуй снова.

Проверьте свою версию Python 3 с помощью:

Это должно дать вам версию> = 3.4. Если нет, обратитесь за помощью к инструкторам.

Направьте свой веб-браузер на страницу выпусков Atom и загрузите последнюю версию
.rpm для вашего дистрибутива. Вот я скачиваю недавний выпуск
из командной строки:

 # Устанавливаем команду wget для скачивания из командной строки
sudo dnf install -y wget
# Загрузите последнюю версию Atom для Fedora
wget https://github.com/atom/atom/releases/download/v1.9.9/atom.x86_64.rpm
 

Установите пакет Atom .rpm с:

 sudo dnf install -y ./atom.x86_64.rpm
 

Установите плагин Atom Hydrogen с помощью:

 # Установить зависимости для сборки плагина водорода
sudo dnf install -y python2 gcc-c ++ zeromq3-devel
# Установить водородный плагин
PYTHON = python2.7 apm установить водород
 

Установка пакетов Python 3

Чтобы подготовиться к установке Python пользователем, поместите локальную установку пользователя bin
каталог в вашей системе PATH. Сначала найдите местоположение пользователя
bin каталог с:

 python3 -c 'сайт импорта; print (site.USER_BASE + "/ bin") '
 

Это даст вам результат вроде /home/your_username/.local/bin .

Откройте файл ~ / .bashrc в вашем домашнем каталоге с помощью Atom:

Добавьте эти строки в конец файла:

 # Поместите путь к локальному каталогу bin в переменную
py3_local_bin = $ (python3 -c 'import site; print (site.USER_BASE + "/ bin") ')
# Поместите каталог перед системным PATH
экспорт PATH = "$ py3_local_bin: $ PATH"
 

Сохраните файл и перезапустите терминал, чтобы загрузить конфигурацию из вашего
~ / . bashrc файл. Убедитесь, что у вас есть каталог .local / bin в
ваш ПУТЬ сейчас:

Теперь установите установщик пакета Python pip в свои пользовательские каталоги.
(см .: установить pip с помощью get-pip.py):

 # Загрузите установщик get-pip.py
wget https: // bootstrap.pypa.io/get-pip.py
# Запускаем установщик для Python 3 и пользовательскую установку
python3 get-pip.py --user
 

Убедитесь, что у вас есть правильная версия команды pip3 с:

Это должно дать вам что-то вроде /home/your_username/.local/bin/pip3 .

Наконец, установите пакеты, необходимые для класса:

 pip3 install --user numpy scipy matplotlib ipython nibabel jupyter
 

Не забудьте проверить установку.

dpkg (1) — страница руководства Linux

dpkg (1) — страница руководства Linux


dpkg (1) пакет dpkg dpkg (1)
 

НАЗВАНИЕ верх

       dpkg - менеджер пакетов для Debian
 

ОБЗОР вверху

         dpkg  [ опция  ...]  действие 
 

ВНИМАНИЕ верх

       Это руководство предназначено для пользователей, желающих понять  dpkg 
       параметры командной строки и состояния пакетов более подробно, чем это
       предоставляется  dpkg --help .Следует использовать , а не  разработчикам пакетов, желающим
       понять, как  dpkg  установит свои пакеты. Описания
       из того, что  dpkg  делает при установке и удалении пакетов,
       особенно неадекватный.
 

ОПИСАНИЕ вверху

         dpkg  - это инструмент для установки, сборки, удаления и управления Debian
       пакеты. Основной и более удобный интерфейс для  dpkg 
       это  способность  (1). dpkg Сам  полностью управляется командой
       параметры строки, которые состоят ровно из одного действия и нуля или
       больше вариантов.  Параметр действия сообщает  dpkg , что делать и
       опции каким-то образом управляют поведением действия.

         dpkg  также можно использовать как интерфейс для dpkg-deb (1) и
       dpkg-query (1). Список поддерживаемых действий можно найти позже.
       в разделе  ДЕЙСТВИЯ . При обнаружении такого действия  dpkg 
       просто запускает  dpkg-deb  или  dpkg-query  с заданными ему параметрами,
       но в настоящее время им не передаются никакие конкретные параметры, чтобы использовать какие-либо
       Такой вариант бэкэнды нужно вызывать напрямую.

ИНФОРМАЦИЯ ОБ УПАКОВКАХ top

         dpkg  поддерживает некоторую полезную информацию о доступных пакетах.
       Информация разделена на три класса:  состояния , выбор  
         устанавливает флаги  и  . Эти значения предназначены для изменения в основном
       с  dselect .

     Состояние пакета 
         не установлен 
              Пакет не установлен в вашей системе. файлы конфигурации 
              Только файлы конфигурации пакета существуют на
              система.

         наполовину установлен 
              Установка пакета началась, но нет
              завершено по какой-то причине.

         без упаковки 
              Пакет распакован, но не настроен.

         наполовину настроенный 
              Пакет распакован и конфигурация изменена.
              началось, но по какой-то причине еще не завершено. триггеры с ожиданием 
              Пакет ожидает обработки триггера другим пакетом.

         триггеры на рассмотрении 
              Пакет был запущен.

         установлено 
              Пакет правильно распакован и настроен.

     Состояние выбора пакета 
         установить 
              Пакет выбран для установки.

         hold  Пакет, помеченный как удерживаемый  , не обрабатывается  dpkg ,
              если это не требуется с помощью опции  --force-hold .  удалить 
              Пакет выбран для деинсталляции (т.е. мы хотим
              удалить все файлы, кроме файлов конфигурации).

         purge  Пакет выбран для очистки (т.е. мы хотим
              удалить все из системных каталогов, даже
              файлы конфигурации).

         неизвестно 
              Выбор пакета неизвестен. Пакет, который также
              в состоянии  не установлен , и с флагом  ok  будет
              забыли в следующем хранилище базы данных. Флаги пакета 
         ok  Пакет с пометкой  ok  находится в известном состоянии, но может потребоваться
              дальнейшая обработка.

         восстановить 
              Пакет с пометкой  reinstreq  сломан и требует
              переустановка. Эти пакеты нельзя удалить, если
              принудительно с опцией  --force-remove-reinstreq .
 

ДЕЙСТВИЯ вверху

         -i ,  - установить   файл пакета ...
              Установите пакет. Если  - рекурсивный  или  -R  вариант
              указано,  файл пакета  должен вместо этого ссылаться на каталог.

              Установка состоит из следующих этапов:

                1.  Распакуйте управляющие файлы нового пакета.

                2.  Если была установлена ​​другая версия того же пакета
              перед новой установкой выполните сценарий  prerm 
              старый пакет. 3.  Запустить сценарий  preinst , если он предусмотрен пакетом.

                4.  Распакуйте новые файлы и одновременно сделайте резервную копию
              старые файлы, так что если что-то пойдет не так, они могут быть
              восстановлен.

                5.  Если была установлена ​​другая версия того же пакета
              перед новой установкой выполните сценарий  postrm  из
              старый пакет. Обратите внимание, что этот скрипт выполняется после
              сценарий  preinst  нового пакета, потому что новые файлы
              записываются одновременно с удалением старых файлов.  6.  Настройте пакет. См.  - конфигурация  для получения подробной информации.
              информация о том, как это делается.

         - распаковать   файл пакета  ...
              Распакуйте пакет, но не настраивайте его. Если  - рекурсивный 
              или указан параметр  -R , файл пакета   должен ссылаться на
              каталог вместо этого.

         --конфигурировать   пакет  ... |  -a  |  - в ожидании 
              Настроить пакет, который был распакован, но еще не
              настроен.Если  -a  или  - добавление  вместо
                пакет , все распакованные, но ненастроенные пакеты
              настроен.

              Чтобы перенастроить пакет, который уже был
              настроен, попробуйте вместо этого команду  dpkg-reconfigure  (8).

              Настройка состоит из следующих шагов:

                1.  Распакуйте файлы conffile и одновременно сделайте резервную копию
              старые conffiles, чтобы их можно было восстановить, если что-то
              идет неправильно. 2.  Запустите сценарий  postinst , если он предусмотрен пакетом.

         - только триггеры   упаковка  ... |  -a  |  - в ожидании 
              Процессы только триггеры (начиная с dpkg 1.14.17). Все на рассмотрении
              триггеры будут обработаны. Если указаны имена пакетов
              будут обрабатываться только триггеры этих пакетов, а именно
              по одному разу в случае необходимости. Использование этой опции может оставить
              пакеты в неправильном  триггеры ожидали  и
                запускает  состояния ожидания.Позже это можно исправить.
              работает:  dpkg --configure --pending .

         -r ,  - удалить   упаковка  ... |  -a  |  - в ожидании 
              Удалить установленный пакет. Это удаляет все
              кроме файлов conffiles и других данных, очищенных с помощью postrm  
              скрипт, который может избежать перенастройки пакета
              если он будет переустановлен позже (файлы конфигурации
              файлы, перечисленные в элементе управления  DEBIAN / conffiles 
              файл). Если нет файла управления  DEBIAN / conffiles  или
                DEBIAN / postrm , эта команда эквивалентна
              вызов  - очистка . Если  -a  или  - добавление  дается вместо
              имя пакета, затем все пакеты распакованы, но помечены как
              удалены в файле  / usr / local / var / lib / dpkg / status , являются
              удаленный.

              Удаление пакета состоит из следующих шагов:

                1. Запуск сценария  prerm 

                2.  Удалите установленные файлы

                3.  Запустить сценарий  postrm 

         -P ,  - продувка   упаковка  ... |  -a  |  - в ожидании 
              Очистить установленный или уже удаленный пакет. Этот
              удаляет все, включая файлы conffiles и все остальное
              убрал с  пострм . Если  -a  или  - предоставляется 
              вместо имени пакета, тогда все пакеты распакованы или
              удален, но помечен как подлежащий очистке в файле
                / usr / local / var / lib / dpkg / status , очищены.Примечание: некоторые файлы конфигурации могут быть неизвестны  dpkg 
              потому что они создаются и обрабатываются отдельно через
              скрипты конфигурации. В этом случае  dpkg  не удалит
              их сам по себе, но сценарий пакета  postrm  (который
              вызывается  dpkg ), должен позаботиться об их удалении во время
              удалять. Конечно, это относится только к файлам в системе.
              каталоги, а не файлы конфигурации, записанные в отдельные
              домашние каталоги пользователей.Очистка упаковки состоит из следующих этапов:

                1.  Удалите упаковку, если она еще не снята. Видеть
                - удалите  для получения подробной информации о том, как это делается.

                2.  Запустить сценарий  postrm . 

         -V ,  --verify  [ имя-пакета  ...]
              Проверяет целостность  имя-пакета  или всех пакетов, если
              опущено, путем сравнения информации из установленных файлов
              пакетом с информацией о метаданных файлов, хранящейся в
              база данных  dpkg  (начиная с dpkg 1.17.2). Происхождение
              информация о метаданных файлов в базе данных является двоичной
              сами пакеты. Эти метаданные собираются в
              время распаковки пакета в процессе установки.

              В настоящее время единственная выполняемая функциональная проверка - это md5sum.
              проверка содержимого файла на сохраненное значение
              в базе файлов. Он будет проверен только в том случае, если
              база данных содержит файл md5sum. Чтобы проверить наличие каких-либо
              отсутствуют метаданные в базе данных, команда  --audit  может
              использоваться.Формат вывода можно выбрать с помощью  --verify-format 
              вариант, который по умолчанию использует формат  об / мин , но это
              может измениться в будущем, и поэтому программы,
              этот вывод команды должен быть явным о формате
              они ожидают.

         -C ,  --audit  [ имя-пакета  ...]
              Выполняет проверки работоспособности и согласованности базы данных для
                имя-пакета  или все пакеты, если они не указаны (для каждого пакета
              проверяет, так как dpkg 1.17.10). Например, поиск
              пакеты, которые были установлены лишь частично на вашем
              системы или которые имеют отсутствующий, неправильный или устаревший контроль
              данные или файлы.  dpkg  подскажет, что с ними делать, чтобы
              исправить их.

         --update-avail  [ Файл пакетов ]
         --merge-avail  [ Файл пакетов ]
              Обновите  dpkg  и представление  dselect  о том, какие пакеты
              доступный. С действием  --merge-avail  старая информация
              в сочетании с информацией из  Packages-file . С действием
                --update-avail , старая информация заменяется
              информация в  Packages-файле . The  Packages-файл 
              распространяется вместе с Debian и называется просто « пакетов, ». Если
                Packages-file  аргумент отсутствует или назван « - », тогда он
              будет читаться со стандартного ввода (начиная с dpkg 1.17.7).  дпкг 
              ведет учет доступных пакетов в
                / usr / local / var / lib / dpkg / доступно .

              Более простая однократная команда для получения и обновления
                доступно  файл  обновление dselect . Обратите внимание, что этот файл
              в основном бесполезен, если вы используете не  dselect , а основанный на APT
              интерфейс: APT имеет свою собственную систему для отслеживания
              доступные пакеты.

         -A ,  --record-avail   файл пакета ...
              Обновите  dpkg  и  dselect , чтобы узнать, какие пакеты
              Доступна с информацией из пакета  package-file .
              Если указан параметр  --recursive  или  -R ,  файл пакета 
              вместо этого должен ссылаться на каталог.

         - забыть-старое-недоступное 
              Теперь  устарел  и не работающий как  dpkg  автоматически забудет
              удалил недоступные пакеты (начиная с dpkg 1.15.4), но
              только те, которые не содержат пользовательской информации, например
              выбор пакетов.

         - clear-avail 
              Удалите существующую информацию о том, какие пакеты
              доступный.

         --get-selections  [ шаблон-имя-пакета  ...]
              Получить список выбранных пакетов и записать его в stdout. 
              Без шаблона неустановленные пакеты (т.е.
              которые были предварительно очищены) не будут отображаться. - выбор-набор 
              Установите выбор пакетов, используя файл, прочитанный из стандартного ввода. Этот
              файл должен быть в формате « состояние пакета », где состояние
              является одним из  установить ,  задержать ,  удалить  или  очистить . Пустые строки
              и строки комментариев, начинающиеся с « # », также разрешены.

              Доступный файл   должен быть актуальным для этой команды.
              быть полезным, иначе неизвестные пакеты будут проигнорированы
              с предупреждением.См.  --update-avail  и  --merge-avail .
              команды для получения дополнительной информации.

         - четкий выбор 
              Установите запрошенное состояние каждого несущественного пакета на
              деинсталлировать (начиная с dpkg 1.13.18). Это должно быть
              используется непосредственно перед  --set-selections , чтобы удалить любой
              пакетов, которых нет в списке, заданном для  --set-selections .

         - распаковка еще не завершена 
              Ищет пакеты, выбранные для установки, но которые
              по какой-то причине до сих пор не установлен.Примечание. Эта команда использует оба доступных файла.
              и выбор пакетов.

         --предеп-пакет 
              Распечатайте один пакет, который является целью одного или нескольких
              соответствующие предварительные зависимости и не имеет неудовлетворенных
              предварительные зависимости.

              Если такой пакет присутствует, выведите его как файл Packages.
              вход, который можно массировать по мере необходимости.

              Примечание. Эта команда использует оба доступных файла.
              и выбор пакетов.Возвращает 0, если пакет напечатан, 1, если не подходит
              пакет доступен и 2 при ошибке. 

         --add-architecture   architecture 
              Добавить архитектуру   в список архитектур, для которых
              пакеты могут быть установлены без использования
                --force-architecture  (начиная с dpkg 1.16.2). В
              архитектура  dpkg  создана для (т.е. вывод
                --print-architecture ) всегда входит в этот список. - удалить-архитектура   архитектура 
              Убрать архитектуру   из списка архитектур для
              какие пакеты можно установить без использования
                --force-architecture  (начиная с dpkg 1.16.2). Если
              архитектура в настоящее время используется в базе данных, тогда
              операция будет отклонена, кроме случая  --force-architecture 
              указан. Архитектура  dpkg  создана для (т.е. то
              вывод  --print-architecture ) никогда не может быть удален из
              тот список.

         - принт-архитектура 
              Распечатать архитектуру пакетов  dpkg  installs (например,
              «I386»).

         - печать-иностранная-архитектура 
              Распечатайте список дополнительных архитектур, разделенных новой строкой
                dpkg  настроен на установку пакетов для
              (поскольку dpkg 1.16.2).

         --assert-   элемент 
              Утверждает, что  dpkg  поддерживает запрошенную функцию. Возврат
              0, если функция полностью поддерживается, 1, если функция
              известно, но  dpkg  пока не может обеспечить его поддержку, и 2, если
              особенность неизвестна. Текущий список утверждаемых
              особенности это:

                поддержка-предопределяет 
                     Поддерживает поле  Pre-Depends  (начиная с dpkg 1.1.0).

                рабочая эпоха 
                     Поддерживает эпохи в строках версии (поскольку dpkg
                     1. 4.0.7).

                длинное имя файла 
                     Поддерживает длинные имена файлов в архивах deb (5) (поскольку
                     dpkg 1.4.1.17).

                мультиконреп 
                     Поддерживает несколько конфликтов   и  Заменяет  (поскольку
                     dpkg 1.4.1.19).

                многоарочный 
                     Поддерживает мультиархитектурные поля и семантику (поскольку
                     dpkg 1.16.2).

               Версия  - обеспечивает 
                     Поддерживает версию  Обеспечивает  (начиная с dpkg 1.17.11).

         --validate-   вещь строка 
              Убедитесь, что строка объекта   имеет правильный синтаксис (поскольку
              dpkg 1.18.16). Возвращает 0, если строка ,  действительна, 1, если строка
                строка  недействительна, но может быть принята в слабых контекстах,
              и 2, если строка   недействительна.Текущий список
              валидная  вещь  с:

                имя пакета 
                     Проверяет данное имя пакета (поскольку dpkg
                     1.18.16).

                trigname 
                     Проверяет заданное имя триггера (поскольку dpkg
                     1.18.16).

                archname 
                     Проверяет заданное имя архитектуры (поскольку dpkg
                     1.18.16).

                версия 
                     Проверяет данную версию (начиная с dpkg 1.18.16).

         - сравнение версий   версия 1 операционная версия 2 
              Сравните номера версий, где  op  - бинарный оператор.
                dpkg  возвращает истину ( 0 ), если указанное условие
              выполнено и ложно ( 1 ) в противном случае. Есть две группы
              операторов, которые отличаются тем, как они обрабатывают пустой  ver1 
              или  ver2 .  Они рассматривают пустую версию как более раннюю, чем любая
              версия:  lt le eq ne ge gt .Они относятся к пустой версии
              как более поздняя, ​​чем любая версия:  lt-nl le-nl ge-nl gt-nl . Эти
              предоставляются только для совместимости с контрольным файлом
              синтаксис:  <<< <= => = >>> . Операторы  < и >  являются
              устарело, и следует использовать , а не  из-за запутанности
              семантика. Для иллюстрации:  0,1 <0,1  оценивается как истина.

         -? ,  - справка 
              Отображение краткого справочного сообщения. --force-help 
              Помогите по поводу  --force-   thing  options.

         -Dh ,  --debug = help 
              Помогите по параметрам отладки.

         - версия 
              Отображение информации о версии  dpkg .

         dpkg-deb действия 
              См. Dpkg-deb (1) для получения дополнительной информации о следующих
              действия.

                -b ,  --build   каталог  [ архив  |  каталог ]
                  Создайте пакет deb. -c ,  --содержание   архив 
                  Перечислить содержимое пакета deb.
                -e ,  --control   архив  [ каталог ]
                  Извлечь управляющую информацию из пакета.
                -x ,  --extract   каталог архива 
                  Извлеките файлы, содержащиеся в package.
                -X ,  --vextract   каталог архива 
                  Извлечь и отобразить имена файлов, содержащиеся в
                  упаковка. -f ,  --field   архив  [ поле управления  ...]
                  Отображение управляющих полей пакета.
                --ctrl-tarfile   архив 
                  Выведите управляющий tar-файл, содержащийся в пакете Debian. 
                --fsys-tarfile   архив 
                  Выведите tar-файл файловой системы, содержащийся в пакете Debian.
                -I ,  --info   архив  [ контрольный файл ...]
                  Показать информацию о пакете.

         dpkg-query действия 
              См. Dpkg-query (1) для получения дополнительной информации о следующих
              действия.

                -l ,  --list   шаблон-имя-пакета  ...
                  Список пакетов, соответствующих заданному шаблону.
                -s ,  --status   имя-пакета  ...
                  Сообщить о статусе указанного пакета.
                -L ,  --listfiles   имя-пакета ...
                  Список файлов, установленных в вашей системе, из  имя-пакета .
                -S ,  --search   filename-search-pattern  ...
                  Найдите имя файла в установленных пакетах.
                -p ,  --print-avail   имя-пакета  ...
                  Показать подробную информацию о  имя-пакета , как показано в
                    / usr / local / var / lib / dpkg / доступно . Пользователи интерфейсов на основе APT
                  вместо этого следует использовать  apt-cache show   имя-пакета .

ОПЦИИ верх

       Все параметры можно указать как в командной строке, так и в
         dpkg  файл конфигурации  /usr/local/etc/dpkg/dpkg.cfg  или фрагмент
       файлы (с именами, соответствующими этому шаблону оболочки '[0-9a-zA-Z _-] *')
       в каталоге конфигурации  /usr/local/etc/dpkg/dpkg.cfg.d/ .
       Каждая строка в файле конфигурации - это либо опция (точно
       то же, что и параметр командной строки, но без дефисов в начале)
       или комментарий (если он начинается с « # »). --abort-after =   число 
              Измените, через сколько ошибок  dpkg  будет прерван.  По умолчанию
              50 лет.

         -B ,  - автоматическая деконфигурация 
              Когда пакет удаляется, есть вероятность, что
              другой установленный пакет зависел от удаленного пакета.
              Указание этой опции приведет к автоматическому
              деконфигурация пакета, который зависел от
              удаленный пакет. -D   восьмеричное  , --debug =   восьмеричное 
              Включите отладку.  восьмеричное число  формируется побитовым порядком
              желаемые значения вместе из списка ниже (обратите внимание, что
              эти значения могут измениться в будущих версиях).  -Dh  или
                --debug = help  отобразить эти значения отладки.

                  Номер Описание
                       1 Общая полезная информация о прогрессе
                       2 Вызов и статус сценариев сопровождающего
                      10 Вывод для каждого обработанного файла
                     100 выходных данных для каждого обработанного файла
                      20 Вывод для каждого файла конфигурации
                     200 выходных данных для каждого файла конфигурации
                      40 Зависимости и конфликты
                     400 Вывод много зависимостей / конфликтов
                   10000 Активация и обработка триггера
                   20000 Много вывода о триггерах
                   40000 Глупый вывод о триггерах
                    1000 чушь про е.грамм. каталог dpkg / info
                    2000 Безумное количество чепухи

         --force-   шт. 
         - без усилия -   предметов ,  - предохранитель-   предметов 
              Принудительно или отказать ( no-force  и  disable  означают одно и то же)
              делать некоторые вещи.  вещей  - это список разделенных запятыми
              вещи указанные ниже.  --force-help  отображает сообщение
              описывая их. Вещи, отмеченные (*), принудительно выполняются
              дефолт.

                Предупреждение: эти параметры в основном предназначены для использования 
               Только  экспертов. Использование их без полного понимания их 
                эффектов могут сломать всю вашу систему. 

                все : Включает (или выключает) все параметры принудительной установки.

                на более раннюю версию  (*): установить пакет, даже если более новая версия
              он уже установлен.

                Предупреждение: в настоящее время   dpkg   не имеет зависимости 
                проверяет переход на более раннюю версию и поэтому не будет предупреждать вас, если 
               , переход на более раннюю версию нарушает зависимость какого-либо другого пакета.
                Это может иметь серьезные побочные эффекты, понижая уровень важности 
               Компоненты системы  могут даже сделать всю вашу систему 
                непригоден для использования. Используйте с осторожностью. 

                configure-any : Настроить также любые распакованные, но
              ненастроенные пакеты, на которых текущий пакет
              зависит.

                hold : обрабатывать пакеты, даже если они помечены как «hold».

                remove-reinstreq : удалить пакет, даже если он сломан.
              и отмечен как требующий переустановки.Это может для
              например, заставить части пакета оставаться на
              system, о которой потом забудет  dpkg .

                remove-essential : Удалить, даже если пакет
              считается важным. Основные пакеты содержат в основном
              очень простые команды Unix. Их удаление может вызвать
              Вся система перестает работать, поэтому используйте ее с осторожностью.

                зависит от : превратите все проблемы с зависимостями в предупреждения. Этот
              влияет на поля  Pre-Depends  и  Depends .

                зависит-версия : при проверке версии не нужны.
              зависимости. Это влияет на  Pre-Depends  и  Depends 
              поля.

                ломает : установить, даже если это приведет к поломке другого пакета
              (начиная с dpkg 1.14.6). Это влияет на поле  Breaks .

                конфликтует : Установить, даже если он конфликтует с другим
              упаковка.Это опасно, поскольку обычно вызывает
              перезапись некоторых файлов. Это влияет на  Конфликты 
              поле.

                confmiss : Всегда устанавливайте отсутствующий файл без
              подсказка. Это опасно, так как это означает не
              сохранение изменений (удаления), внесенных в файл.

                confnew : Если файл был изменен и версия
              в пакете действительно изменились, всегда устанавливайте новую версию
              без запроса, если  --force-confdef  также не
              указано, и в этом случае действие по умолчанию является предпочтительным. confold : Если файл был изменен и версия
              в пакете действительно изменились, всегда сохраняйте старую версию
              без запроса, если  --force-confdef  также не
              указано, и в этом случае действие по умолчанию является предпочтительным.

                confdef : Если файл был изменен, и версия
              в пакете действительно изменились, всегда выбирайте значение по умолчанию
              действие без подсказки.Если нет действия по умолчанию, это
              перестанет спрашивать пользователя, если  --force-confnew  или
                --force-confold  также дано, и в этом случае он будет
              используйте это, чтобы решить окончательное действие.

                confask : Если файл был изменен, всегда предлагайте
              замените его версией из пакета, даже если
              версия в пакете не менялась (начиная с dpkg 1. 15.8).
              Если любой из  --force-confnew ,  --force-confold  или
                --force-confdef  также указывается, он будет использоваться для принятия решения
              последнее действие. overwrite : перезаписать один файл пакета другим.
              файл.

                overwrite-dir : перезаписать каталог одного пакета с помощью
              чужой файл.

                с переадресацией на перезапись : перезапись переадресованного файла
              неотправленная версия.

                statoverride-add : перезаписать существующее переопределение статистики, когда
              добавив его (начиная с dpkg 1.19.5).

                statoverride-remove : игнорировать переопределение отсутствующих характеристик, когда
              удалив его (так как dpkg 1.19,5).

                security-mac  (*): использовать обязательный доступ для конкретной платформы
              Безопасность на основе управления (MAC) при установке файлов в
              файловая система (начиная с dpkg 1.19.5). В системах Linux
              реализация использует SELinux.

                unsafe-io : Не выполнять безопасные операции ввода-вывода, когда
              распаковка (начиная с dpkg 1.15.8.6). В настоящее время это подразумевает
              не выполняет синхронизацию файловой системы перед переименованием файлов,
              который, как известно, вызывает существенную производительность
              деградация некоторых файловых систем, к сожалению
              которые требуют безопасного ввода-вывода в первую очередь из-за их
              ненадежное поведение, приводящее к резкому скачиванию файлов нулевой длины
              система вылетает. Примечание : Для ext4, основного нарушителя, рассмотрите возможность использования вместо этого
              опция монтирования  nodelalloc , которая исправит как
              снижение производительности и проблемы с безопасностью данных,
              последнее, заставляя файловую систему не создавать нулевой длины
              файлы при внезапных сбоях системы, когда какое-либо программное обеспечение не выполняет
              синхронизируется перед атомарным переименованием. 

                Предупреждение: использование этого параметра может повысить производительность на 
                стоимость потери данных, используйте с осторожностью.

                script-chrootless : запускать сценарии сопровождающего без
              chroot (2) в  instdir , даже если пакет не
              поддерживают этот режим работы (начиная с dpkg 1.18.5).

                Предупреждение: это может разрушить вашу хост-систему, используйте с 
                особая осторожность. 

               Архитектура  : Обрабатывать даже пакеты с ошибками или без
              архитектура.

                bad-version : обрабатывать даже пакеты с неправильными версиями
              (поскольку dpkg 1.16.1).

                bad-path :  PATH  отсутствуют важные программы, поэтому проблемы
              являются скорее.

                not-root : Попробуйте (де) установить что-либо, даже если не root.

                bad-verify : установить пакет, даже если он не удался
              проверка подлинности.

         - игнорировать-зависит  =  пакет , ...
              Игнорировать проверку зависимостей для указанных пакетов
              (на самом деле проверка выполняется, но только предупреждения о
              даны конфликты, больше ничего).Это влияет на
                Pre-Depends ,  Depends  и  Разрывает  поля.

         - неактивный ,  - сухой ,  - имитационный 
              Делайте все, что нужно, но не
              напишите любые изменения. Это используется, чтобы увидеть, что произойдет
              с указанным действием, без фактического изменения
              что-нибудь.

              Обязательно укажите  --no-act  перед параметром действия, или
              вы можете получить нежелательные результаты.(например,  dpkg 
                --purge foo --no-act  сначала очистит пакет foo, а затем
              попробуйте очистить пакет --no-act, даже если вы, вероятно,
              ожидал, что он на самом деле ничего не сделает)

         -R ,  - рекурсивный 
              Рекурсивно обрабатывать все обычные файлы, соответствующие шаблону
                * . deb  найден в указанных каталогах и во всех его
              подкаталоги. Его можно использовать с  -i ,  -A ,  --install ,
                - распаковать  и  - записать-доступно  действия. -G  Не устанавливать пакет, если есть более новая версия того же
              пакет уже установлен. Это псевдоним
                - отказ от перехода на более раннюю версию .

         --admindir =   dir 
              Установите административный каталог на , каталог . Этот
              каталог содержит много файлов, которые предоставляют информацию о
              статус установленных или удаленных пакетов и т. д.
              По умолчанию « / usr / local / var / lib / dpkg ». --instdir =   dir 
              Установите каталог установки, который относится к
              каталог, в который должны быть установлены пакеты.  instdir  - это
              также каталог, переданный в chroot (2) перед запуском
              сценарии установки пакета, что означает, что
              сценарии видят  instdir  как корневой каталог. По умолчанию «/».

         --root =   dir 
              Установите корневой каталог на , каталог , который устанавливает
              каталог установки в « dir » и административный
              каталог в « dir   / usr / local / var / lib / dpkg ». -O ,  - только выбранные 
              Обрабатывать только те пакеты, которые выбраны для
              установка. Фактическая маркировка выполняется с помощью  dselect  или
              на  dpkg , когда он обрабатывает пакеты. Например, когда
              пакет будет удален, он будет помечен как выбранный для
              деинсталляция.

         -E ,  - пропустить такую ​​же версию 
              Не устанавливайте пакет, если та же версия
              пакет уже установлен. --pre-invoke =   команда 
         --post-invoke =   команда 
              Установите команду  обработчика вызова  для запуска через «sh -c» перед или
              после  dpkg  запустить для  распаковать ,  настроить ,  установить ,
                только триггеры ,  удалить ,  очистить ,  добавить архитектуру  и
                remove-architecture   dpkg  действия (начиная с dpkg 1. 15,4;
                add-architecture  и  remove-architecture  действий, поскольку
              dpkg 1.17.19). Этот параметр можно указать несколько
              раз. Сохраняется порядок, в котором указаны параметры,
              с теми из файлов конфигурации, которые принимают
              приоритет. Переменная окружения  DPKG_HOOK_ACTION  - это
              набор для крючков на актуальный  dpkg  action. Примечание: передний-
              Концы могут вызывать  dpkg  несколько раз за вызов, что
              может запускать крючки больше раз, чем ожидалось. --path-exclude =   шаблон глобуса 
         --path-include =   шаблон глобуса 
              Установите  glob-pattern  в качестве фильтра пути, либо исключив, либо
              повторное включение ранее исключенных путей, соответствующих
              указанные шаблоны во время установки (начиная с dpkg 1.15.8).

                Предупреждение: примите во внимание, что в зависимости от исключенного 
                путей, которые могут полностью сломать вашу систему, используйте с 
                осторожность.

              В шаблонах глобуса используются те же подстановочные знаки, что и в
              оболочка, где "*" соответствует любой последовательности символов,
              включая пустую строку, а также ‘/’. Например,
              « / usr / * / READ * » соответствует « / usr / share / doc / package / README ».
              Как обычно, "?" Соответствует любому одиночному символу (опять же,
              включая '/'). И "[" запускает класс символов, который
              может содержать список символов, диапазонов и
              дополнения.См. Glob (7) для получения подробной информации.
              насчет глоббинга. Примечание: текущая реализация может повторно
              включить больше каталогов и символических ссылок, чем необходимо, чтобы
              перестраховаться и избежать возможных сбоев при распаковке;
              будущая работа может исправить это. 

              Это можно использовать для удаления всех путей, кроме некоторых
              частные; типичный случай:

                --path-exclude = / usr / share / doc / * 
                --path-include = / usr / share / doc / * / copyright 

              удалить все файлы документации, кроме авторских
              файлы.Эти два параметра можно указывать несколько раз, и
              чередуются друг с другом. Оба обрабатываются в
              заданный порядок, с последним правилом, которое соответствует имени файла
              принятие решения.

              Фильтры применяются при распаковке двоичного файла
              пакеты, и, как таковые, знают только о типе
              объект, который в данный момент фильтруется (например, обычный файл или
              каталог) и не видят, какие объекты будут
              далее.Поскольку эти фильтры имеют побочные эффекты (в
              в отличие от фильтров find (1)), исключая точное имя пути
              это объект каталога, например  / usr / share / doc 
              не будет иметь желаемого результата, и только это имя пути
              будут исключены (которые могут быть автоматически включены снова)
              если код видит необходимость). Любые последующие файлы
              содержащиеся в этом каталоге, распаковать не удастся.

              Подсказка: убедитесь, что ваша оболочка не расширяет глобусы. --verify-format   имя-формата 
              Устанавливает выходной формат для команды  --verify  (поскольку
              dpkg 1.17.2).

              Единственный поддерживаемый в настоящее время выходной формат -  об / мин , который
              состоит из строки для каждого пути, который не прошел проверку.
              Строки начинаются с 9 символов, чтобы сообщить о каждом конкретном
              результат проверки: «?  ’означает, что проверка не может быть проведена
              (отсутствие поддержки, прав доступа к файлам и т.  д.), «. ’подразумевает
              проверка пройдена, а буквенно-цифровой символ означает
              конкретная проверка не удалась; ошибка проверки md5sum
              (содержимое файла изменилось) обозначается " 5 " на
              третий персонаж. За строкой следует пробел и
              символ атрибута (в настоящее время " c " для conffiles),
              еще один пробел и путь.

         --status-fd   n 
              Отправлять статус и ход пакета в машиночитаемом формате
              информация в дескриптор файла  n .Этот вариант может быть
              указано несколько раз. Информация вообще одна
              запись в строке в одной из следующих форм:

                статус:   пакет  :   статус 
                     Статус пакета изменен;  статус  как в статусе
                     файл.

                статус:   пакет  : ошибка:   расширенное сообщение об ошибке 
                     Произошла ошибка.Любые возможные символы новой строки в
                       расширенное сообщение об ошибке  будет преобразовано в пробелы
                     перед выводом.

                статус:   файл  : conffile-prompt: '  реальный старый  '   реальный новый   '
                использованных редитированных дистедированных 
                     Пользователю задают конфилированный вопрос.

                обработка:   этап  :   пакет 
                     Отправляется непосредственно перед началом этапа обработки. этап 
                     является одним из обновлений , , , установка  (оба отправлены ранее
                     распаковка),  настроить ,  trigproc ,  исчезнуть ,  удалить ,
                       продувка .

         --status-logger  =  команда 
              Отправлять статус и ход пакета в машиночитаемом формате
              информация в стандартный ввод команды оболочки  , чтобы
              запускать через «sh -c» (начиная с dpkg 1. 16.0). Этот вариант может быть
              указано несколько раз. Используемый выходной формат - это
              то же, что и в  --status-fd .

         --log =   имя_файла 
              Записывать обновления и действия изменения статуса на  имя_файла , вместо этого
              по умолчанию  /usr/local/var/log/dpkg.log . Если этот вариант
              задается несколько раз, используется последнее имя файла. Журнал
              сообщения имеют форму:

              ГГГГ-ММ-ДД ЧЧ: ММ: SS  запуск   введите команду 
                     Для каждого вызова dpkg, где  тип  - это  архивы 
                     (с помощью команды   из  распаковать  или  установить ) или  пакеты 
                     (с помощью команды   из  настроить ,  только триггеры ,  удалить 
                     или  продувка ).ГГГГ-ММ-ДД ЧЧ: ММ: SS  статус   состояние pkg установленная версия 
                     Для обновления статуса изменения.

              ГГГГ-ММ-ДД ЧЧ: ММ: SS  action pkg installed-version 
                доступная версия 
                     Для действий, где  действие  является одним из  установить ,
                       обновление ,  настроить ,  trigproc ,  исчезнуть ,  удалить  или
                       продувка .ГГГГ-ММ-ДД ЧЧ: ММ: SS  conffile   имя файла решение 
                     Для изменений в конфигурации, где  решение  либо
                       установить  или  оставить .

         - без пейджера 
              Отключает использование любого пейджера при отображении информации
              (начиная с dpkg 1.19.2).

         - нет 
              Не пытайтесь проверять подписи пакетов.

         - без триггеров 
              Не запускайте никаких триггеров в этом прогоне (так как dpkg 1. 14.17),
              но активации все равно будут записываться. Если используется с
                --configure   package  or  --triggers-only   package  затем
              именованный пакет postinst все равно будет запущен, даже если
              Требуется запуск триггеров. Использование этой опции может оставить
              пакеты в неправильном  триггеры ожидали  и
                запускает  состояния ожидания. Позже это можно исправить.
              работает:  dpkg --configure --pending . - триггеры 
              Отменяет предыдущий  --no-triggers  (начиная с dpkg 1.14.17).
 

СТАТУС ВЫХОДА вверху

         0  Запрошенное действие было успешно выполнено. Или
              Команда проверки или утверждения вернула истину.

         1  Команда проверки или утверждения вернула ложь.

         2  Неустранимая или неустранимая ошибка из-за недопустимой командной строки
              использование или взаимодействие с системой, например, доступ
              к базе данных, распределению памяти и т. д.

ОКРУЖАЮЩАЯ СРЕДА верх

     Внешняя среда 
         ПУТЬ  Ожидается, что эта переменная будет определена в среде
              и укажите на системные пути, где требуется несколько
              программы должны быть найдены. Если он не установлен или программы
              не найдены,  dpkg  будет прерван.

         HOME  Если установлено,  dpkg  будет использовать его как каталог, из которого
              прочтите файл конфигурации для конкретного пользователя. TMPDIR  Если установлено,  dpkg  будет использовать его как каталог, в котором
              создавать временные файлы и каталоги.

         ОБОЛОЧКА  Программа  dpkg  будет выполняться при запуске нового
              интерактивная оболочка или при создании команды через оболочку.

         ПЕЙДЖЕР 
         DPKG_PAGER 
              Программа  dpkg  будет выполняться при запуске пейджера для
              пример при отображении различий в файлах конфигурации. Если
                SHELL  не установлен, вместо него будет использоваться « sh ». В
                DPKG_PAGER  переопределяет переменную среды  PAGER  (поскольку
              dpkg 1.19.2).

         DPKG_COLORS 
              Устанавливает цветовой режим (начиная с dpkg 1.18.5). В настоящее время
              допустимые значения:  авто  (по умолчанию),  всегда  и  никогда .

         DPKG_FORCE 
              Устанавливает флаги форсирования (начиная с dpkg 1.19,5). Когда это
              переменная присутствует, встроенные принудительные значения по умолчанию не будут
              применяемый. Если переменная присутствует, но пуста, все принудительно
              флаги будут отключены.

         DPKG_FRONTEND_LOCKED 
              Устанавливается внешним интерфейсом диспетчера пакетов для уведомления dpkg о том, что он
              не должен получать блокировку внешнего интерфейса (начиная с dpkg 1.19.1).

     Внутренняя среда 
         МЕНЬШЕ  Определяется  dpkg от  до « -FRSXMQ », если еще не установлен, когда
              создание пейджера (начиная с dpkg 1.19.2). Чтобы изменить
              поведение по умолчанию, эта переменная может быть предустановлена ​​на некоторые
              другое значение, включая пустую строку, или  PAGER  или
                DPKG_PAGER  переменные могут быть установлены для отключения определенных
              варианты с « - + », например  DPKG_PAGER = «меньше - + F» .

         DPKG_ROOT 
              Определяется  dpkg  в среде сценария сопровождающего для
              укажите, с какой установкой действовать (начиная с dpkg 1.18,5).
              Значение должно добавляться к любому пути.
              сценарии сопровождающего работают. Во время нормальной работы
              эта переменная пуста. При установке пакетов в
              другой  instdir ,  dpkg  обычно вызывает сопровождающего
              скрипты с использованием chroot (2) и оставляют эту переменную пустой,
              но если указан  --force-script-chrootless , то
              Вызов chroot (2) пропускается, а  instdir  не пуст.  DPKG_ADMINDIR 
              Определяется  dpkg  в среде сценария сопровождающего для
              укажите используемый административный каталог  dpkg  (поскольку
              dpkg 1.16.0). Эта переменная всегда установлена ​​на текущее значение.
                - стоимость админдира .

         DPKG_FORCE 
              Определяется  dpkg  в среде подпроцессов для всех
              имена включенных в настоящее время форсированных опций разделены запятыми
              (поскольку dpkg 1.19,5).

         DPKG_SHELL_REASON 
              Определяется  dpkg  на оболочке, порожденной на conffile
              Предлагаем разобраться в ситуации (начиная с dpkg 1.15.6).
              Текущее допустимое значение:  conffile-prompt .

         DPKG_CONFFILE_OLD 
              Определяется  dpkg  на оболочке, порожденной на conffile
              Предлагаем разобраться в ситуации (начиная с dpkg 1.15.6).
              Содержит путь к старому файлу. DPKG_CONFFILE_NEW 
              Определяется  dpkg  на оболочке, порожденной на conffile
              Предлагаем разобраться в ситуации (начиная с dpkg 1.15.6).
              Содержит путь к новому файлу.

         DPKG_HOOK_ACTION 
              Определяется  dpkg  в оболочке, созданной при выполнении ловушки
              действие (начиная с dpkg 1.15.4). Содержит текущий  dpkg 
              действие.

         DPKG_RUNNING_VERSION 
              Определяется  dpkg  в среде сценария сопровождающего для
              версия текущего запущенного экземпляра  dpkg  (поскольку
              dpkg 1.14.17).

         DPKG_MAINTSCRIPT_PACKAGE 
              Определяется  dpkg  в среде сценария сопровождающего для
              имя обрабатываемого (не уточненного архива) пакета (поскольку
              dpkg 1.14.17).

         DPKG_MAINTSCRIPT_PACKAGE_REFCOUNT 
              Определяется  dpkg  в среде сценария сопровождающего для
              счетчик ссылок на пакет, т.  е. количество пакетов
              экземпляры с состоянием больше  не установлены  (поскольку
              dpkg 1.17.2).

         DPKG_MAINTSCRIPT_ARCH 
              Определяется  dpkg  в среде сценария сопровождающего для
              архитектура, для которой был создан пакет (поскольку dpkg
              1.15.4).

         DPKG_MAINTSCRIPT_NAME 
              Определяется  dpkg  в среде сценария сопровождающего для
              имя запущенного скрипта, одно из  preinst ,  postinst ,
                prerm  или  postrm  (начиная с dpkg 1.15.7).

         DPKG_MAINTSCRIPT_DEBUG 
              Определяется  dpkg  в среде сценария сопровождающего для
              значение (« 0 » или « 1 »), указывающее, была ли отладка
              запрошен (с опцией  --debug ) для сопровождающего
              скрипты (начиная с dpkg 1.18.4).
 

ФАЙЛОВ верхний

         /usr/local/etc/dpkg/dpkg.cfg.d/[0-9a-zA-Z_-pting* 
              Файлы фрагментов конфигурации (начиная с dpkg 1.15.4).

         /usr/local/etc/dpkg/dpkg.cfg 
              Файл конфигурации с параметрами по умолчанию.

         /usr/local/var/log/dpkg.log 
              Файл журнала по умолчанию (см.  /usr/local/etc/dpkg/dpkg.cfg  и
              вариант  - журнал ).

       Остальные файлы, перечисленные ниже, находятся в своих каталогах по умолчанию,
       см. параметр  --admindir , чтобы узнать, как изменить расположение этих
       файлы.

         / usr / local / var / lib / dpkg / доступно 
              Список доступных пакетов. / usr / местные / вар / библиотека / dpkg / статус 
              Статусы доступных пакетов. Этот файл содержит
              информация о том, помечен ли пакет для удаления
              или нет, установлен он или нет и т. д. См. раздел
                ИНФОРМАЦИЯ ОБ ПАКЕТАХ  для получения дополнительной информации. 

              Файл состояния архивируется ежедневно в  / var / backups . Может
              быть полезным, если он потерян или поврежден из-за файловых систем
              неприятности.Формат и содержимое двоичного пакета описаны в
       деб (5).
 

ОШИБКИ верх

         --no-act  обычно дает меньше информации, чем может быть полезно.
 

ПРИМЕРЫ наверху

       Чтобы перечислить установленные пакеты, связанные с редактором  vi  (1) (обратите внимание, что
         dpkg-query  по умолчанию больше не загружает доступный  файл ,
       а параметр  dpkg-query --load-avail  следует использовать вместо
       который):
              dpkg -l '* vi *' 

       Чтобы увидеть записи в  / usr / local / var / lib / dpkg / доступно  из двух
       пакеты:
              dpkg --print-avail elvis vim | менее 

       Чтобы самостоятельно выполнить поиск в списке пакетов:
              меньше / usr / local / var / lib / dpkg / available 

       Чтобы удалить установленный пакет elvis:
              dpkg -r элвис 

       Чтобы установить пакет, вам сначала нужно найти его в архиве или
       CDROM.Доступный файл   показывает, что пакет vim находится в
       раздел  редакторы :
              cd / media / cdrom / pool / main / v / vim 
              dpkg -i vim_4.5-3.deb 

       Чтобы сделать локальную копию состояния выбора пакета:
              dpkg --get-selections> myselections 

       Вы можете перенести этот файл на другой компьютер, а после
       обновив  доступный файл  с помощью диспетчера пакетов
       выбранный интерфейс (см. https: // wiki.debian.org/Teams/Dpkg/FAQ
       для более подробной информации), например:
              apt-cache dumpavail | dpkg --merge-avail 
       или с dpkg 1.17.6 и более ранними версиями:
              avail = `mktemp` 
              apt-cache dumpavail> «$ avail» 
              dpkg --merge-avail "$ avail" 
              rm "$ avail" 
       вы можете установить его с помощью:
              dpkg --clear-selections 
              dpkg --set-selections 

       Обратите внимание, что на самом деле это ничего не установит и не удалит, но
       просто установите состояние выбора для запрошенных пакетов. Ты будешь
       нужно какое-то другое приложение для загрузки и установки
       запрошенные пакеты. Например, запустите  apt-get dselect-upgrade .

       Обычно вы обнаружите, что dselect (1) предоставляет больше
       удобный способ изменить состояние выбора пакетов.
 

ДОПОЛНИТЕЛЬНЫЕ ВОЗМОЖНОСТИ top

       Дополнительную функциональность можно получить, установив любой из
       следующие пакеты:  apt ,  aptitude  и  debsums .

СМОТРИТЕ ТАКЖЕ top

         aptitude  (1),  apt  (1), dselect (1), dpkg-deb (1), dpkg-query (1),
       deb (5), deb-control (5), dpkg.cfg (5) и  dpkg-reconfigure  (8).
 

АВТОРЫ наверх

       См.  / usr / local / share / doc / dpkg / СПАСИБО  для списка людей, которые
       внесли свой вклад в  dpkg .
 

COLOPHON верх

       Эта страница является частью проекта  dpkg  (Debian Package Manager).Информацию о проекте можно найти на сайте
       ⟨Https: //wiki.debian.org/Teams/Dpkg/⟩. Если у вас есть отчет об ошибке
       для этой страницы руководства см.
       ⟨Http: //bugs.debian.org/cgi-bin/pkgreport.cgi? Src = dpkg⟩. Этот
       страница была получена из исходного репозитория Git проекта
       ⟨Https: //salsa.debian.org/dpkg-team/dpkg.git⟩ от 2021-04-01. (В
       в это время дата последнего коммита, найденного в
       репозиторий был 2021-01-09.) Если вы обнаружите какой-либо рендеринг
       проблемы в этой HTML-версии страницы, или вы верите в нее
       является лучшим или более актуальным источником для страницы, или у вас есть
       исправления или улучшения информации в этом COLOPHON
       (это , а не  часть исходной страницы руководства), отправьте письмо по адресу
       man-страницы @ man7.org


 

Страницы, которые ссылаются на эту страницу:
dpkg-архитектура (1),
dpkg-deb (1),
dpkg-divert (1),
dpkg-имя (1),
dpkg-query (1),
dpkg-scanpackages (1),
dpkg-split (1),
dpkg-statoverride (1),
dpkg-trigger (1),
dselect (1),
deb-conffiles (5),
deb-control (5),
deb-postinst (5),
deb-postrm (5),
deb-preinst (5),
deb-prerm (5),
deb-substvars (5),
деб-триггеры (5),
dpkg. cfg (5),
deb-версия (7)


рубинов на рельсах — E: dpkg был прерван, вы должны вручную запустить sudo dpkg —configure -a, чтобы исправить

Я пытаюсь установить рельсы на ubuntu 17.04, но выдает ошибку. Затем я попытался запустить другие установки, но ошибка была такой же.

E: dpkg был прерван, вы должны вручную запустить sudo dpkg —configure -a, чтобы исправить проблему.

Когда я попытался выполнить sudo dpkg —configure -a ,
Я столкнулся со следующим выводом:

Настройка python-crypto (2.6.1-7) ...
Отслеживание (последний вызов последний):
Файл "/ usr / bin / pycompile", строка 35, из debpython.version import SUPPORTED, debsorted, vrepr, \
Файл "/ usr / share / python / debpython / version.py ", строка 24, из ConfigParser import SafeConfigParser ImportError: Нет модуля с именем 'ConfigParser' dpkg: пакет обработки ошибок python-crypto (--configure):
     подпроцесс установленный сценарий после установки возвратил статус ошибки выхода 1

Настройка python-sqlparse (0.2.2-1) ...
Отслеживание (последний вызов последний):
Файл "/ usr / bin / pycompile", строка 35, из debpython.version import SUPPORTED, debsorted, vrepr, \
Файл "/usr/share/python/debpython/version.py", строка 24, в импорте ConfigParser SafeConfigParser
ImportError: нет модуля с именем ConfigParser
dpkg: пакет обработки ошибок python-sqlparse (--configure): подпроцесс установлен после установки скрипт возвратил статус выхода ошибки 1
Настройка python-wheel (0.29.0-2) ...
Отслеживание (последний вызов последний):
    Файл "/ usr / bin / pycompile", строка 35, из debpython.version import SUPPORTED, debsorted, vrepr, \
    Файл "/usr/share/python/debpython/version.py", строка 24, в импорте ConfigParser SafeConfigParser
    ImportError: нет модуля с именем ConfigParser
    dpkg: пакет обработки ошибок python-wheel (--configure):
        подпроцесс установленный сценарий после установки возвратил статус ошибки выхода 1

Настройка python-tz (2014. 10 ~ dfsg1-0ubuntu2) ...
    Отслеживание (последний вызов последний):
      Файл "/ usr / bin / pycompile", строка 35, из debpython.version import SUPPORTED, debsorted, vrepr, \
      Файл "/usr/share/python/debpython/version.py", строка 24, в импорте ConfigParser SafeConfigParser
    ImportError: нет модуля с именем ConfigParser
    dpkg: пакет обработки ошибок python-tz (--configure):
     подпроцесс установленный сценарий после установки возвратил статус ошибки выхода 1
    dpkg: проблемы с зависимостями препятствуют настройке связок ключей python.alt:
     python-keyrings.alt зависит от python-crypto; тем не мение:
      Пакет python-crypto еще не настроен.

    dpkg: ошибка обработки пакета python-keyrings.alt (--configure):
     проблемы с зависимостями - оставление ненастроенным
    Настройка python-gi (3.22.0-2) ...
    Отслеживание (последний вызов последний):
      Файл "/ usr / bin / pycompile", строка 35, в
        from debpython.version import ПОДДЕРЖИВАЕТСЯ, debsorted, vrepr, \
      Файл "/usr/share/python/debpython/version.py", строка 24, в
        из ConfigParser импортировать SafeConfigParser
    ImportError: нет модуля с именем ConfigParser
    dpkg: пакет обработки ошибок python-gi (--configure):
     подпроцесс установленный сценарий после установки возвратил статус ошибки выхода 1
    Настройка python-mysqldb (1.3.7-1.1) ...
    Отслеживание (последний вызов последний):
      Файл "/ usr / bin / pycompile", строка 35, в
        from debpython.version import ПОДДЕРЖИВАЕТСЯ, debsorted, vrepr, \
      Файл "/usr/share/python/debpython/version.py", строка 24, в
        из ConfigParser импортировать SafeConfigParser
    ImportError: нет модуля с именем ConfigParser
    dpkg: пакет обработки ошибок python-mysqldb (--configure):
     подпроцесс установленный сценарий после установки возвратил статус ошибки выхода 1
    dpkg: ошибка обработки пакета apport (--configure):
     пакет находится в очень плохом несогласованном состоянии; вам следует
     переустановите его перед попыткой настройки
    Настройка python-django (1. 8.7-1ubuntu11) ...
    Отслеживание (последний вызов последний):
      Файл "/ usr / bin / pycompile", строка 35, в
        from debpython.version import ПОДДЕРЖИВАЕТСЯ, debsorted, vrepr, \
      Файл "/usr/share/python/debpython/version.py", строка 24, в
        из ConfigParser импортировать SafeConfigParser
    ImportError: нет модуля с именем ConfigParser
    dpkg: пакет обработки ошибок python-django (--configure):
     подпроцесс установленный сценарий после установки возвратил статус ошибки выхода 1
    Настройка python-dbus (1.2.4-1) ...
    Удалить устаревшие файлы с байтовой компиляцией ...
    Отслеживание (последний вызов последний):
      Файл "/ usr / bin / pycompile", строка 35, в
        from debpython.version import ПОДДЕРЖИВАЕТСЯ, debsorted, vrepr, \
      Файл "/usr/share/python/debpython/version.py", строка 24, в
        из ConfigParser импортировать SafeConfigParser
    ImportError: нет модуля с именем ConfigParser
    dpkg: пакет обработки ошибок python-dbus (--configure):
     подпроцесс установленный сценарий после установки возвратил статус ошибки выхода 1
    Настройка python-pip (9.0,1-2) ...
    Отслеживание (последний вызов последний):
      Файл "/ usr / bin / pycompile", строка 35, в
        from debpython.version import ПОДДЕРЖИВАЕТСЯ, debsorted, vrepr, \
      Файл "/usr/share/python/debpython/version.py", строка 24, в
        из ConfigParser импортировать SafeConfigParser
    ImportError: нет модуля с именем ConfigParser
    dpkg: пакет обработки ошибок python-pip (--configure):
     подпроцесс установленный сценарий после установки возвратил статус ошибки выхода 1
    Настройка python-xdg (0.25-4)...
    Отслеживание (последний вызов последний):
      Файл "/ usr / bin / pycompile", строка 35, в
        from debpython.version import ПОДДЕРЖИВАЕТСЯ, debsorted, vrepr, \
      Файл "/usr/share/python/debpython/version.py", строка 24, в
        из ConfigParser импортировать SafeConfigParser
    ImportError: нет модуля с именем ConfigParser
    dpkg: пакет обработки ошибок python-xdg (--configure):
     подпроцесс установленный сценарий после установки возвратил статус ошибки выхода 1
    dpkg: проблемы с зависимостями не позволяют настроить python-secretstorage:
     python-secretstorage зависит от python-dbus; тем не мение:
      Пакет python-dbus еще не настроен. dpkg: пакет обработки ошибок python-secretstorage (--configure):
     проблемы с зависимостями - оставление ненастроенным
    dpkg: проблемы с зависимостями не позволяют настроить python-keyring:
     python-keyring зависит от python-dbus; тем не мение:
      Пакет python-dbus еще не настроен.
     python-keyring зависит от python-secretstorage; тем не мение:
      Пакет python-secretstorage еще не настроен.

    dpkg: пакет обработки ошибок python-keyring (--configure):
     проблемы с зависимостями - оставление ненастроенным
    При обработке обнаружены ошибки:
     python-крипто
     python-sqlparse
     колесо питона
     python-tz
     питон-брелоки.альт
     python-gi
     python-mysqldb
     аппорт
     python-django
     python-dbus
     python-pip
     python-xdg
     python-secretstorage
     питон-брелок

Пробовал следующее решение,


    [cd / var / lib / dpkg / updates
    sudo rm *
    sudo apt-get update] [1]
 

отсюда
но мне не помогло.
Я использую python3.5 в качестве питона по умолчанию. Я изменил его, используя псевдоним.

Шпаргалка по командам Linux dpkg для системных администраторов Debian и Ubuntu

dpkg — это менеджер пакетов для Debian, Ubuntu и многих других дистрибутивов Linux.Он используется для установки / управления отдельными пакетами. Вот краткая шпаргалка, которая вам пригодится при использовании dpkg в приглашении оболочки:

Синтаксис Описание Пример
dpkg -i {пакет .deb} Установить пакет dpkg -i zip_2.31-3_i386.deb
dpkg -i {пакет .deb} Пакет обновления, если он установлен, в противном случае установите новую копию пакета dpkg -i zip_2.31-3_i386.deb
dpkg -R {Имя-каталога} Установить все пакеты рекурсивно из каталога dpkg -R / tmp / загрузок
dpkg -r {package} Удалить / удалить установленный пакет, кроме файлов конфигурации dpkg -r почтовый индекс
дпкг -П Удалить / удалить все, включая файлы конфигурации dpkg -P apache-perl
dpkg -l Список всех установленных пакетов с указанием версии пакета и краткого описания dpkg -l
dokg -l | меньше
dpkg -l ‘* apache *’
dpkg -l | grep -i ‘судо’
dpkg -l {package} Список отдельных установленных пакетов вместе с версией пакета и кратким описанием dpkg -l apache-perl
dpkg -L {package} Выяснить, что файлы предоставляются установленным пакетом i.

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *

2021 © Все права защищены. Карта сайта